<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <?php
    /**
     * blu_elated_header_meta hook
     *
     * @see blu_elated_header_meta() - hooked with 10
     * @see eltd_user_scalable_meta() - hooked with 10
     */
    do_action('blu_elated_header_meta');

    wp_head(); ?>
</head>
<body <?php body_class();?> itemscope itemtype="http://schema.org/WebPage">
	<?php if(blu_elated_options()->getOptionValue('smooth_page_transitions') === "yes") { ?>
		<div class="eltdf-smooth-transition-loader eltdf-mimic-ajax">
		    <div class="eltdf-st-loader">
		        <div class="eltdf-st-loader1">
		            <?php blu_elated_loading_spinners(); ?>
		        </div>
		    </div>
		</div>
	<?php } ?>
	<div class="eltdf-wrapper eltdf-404-page">
	    <div class="eltdf-wrapper-inner">
		    <?php blu_elated_get_header(); ?>

		    <?php if (blu_elated_options()->getOptionValue('show_back_button') == "yes") { ?>
			    <a id='eltdf-back-to-top'  href='#'>
                    <span class="eltdf-icon-stack">
                         <?php blu_elated_icon_collections()->getBackToTopIcon('font_awesome');?>
                    </span>
			    </a>
		    <?php } ?>
		    <?php blu_elated_get_full_screen_menu(); ?>
			<div class="eltdf-content" <?php blu_elated_content_elem_style_attr(); ?>>
	            <div class="eltdf-content-inner">
					<div class="eltdf-page-not-found">
						<?php if (blu_elated_options()->getOptionValue('404_page_title_image')) { ?>
							<div class="eltdf-404-title-image"><img src="<?php echo esc_attr(blu_elated_options()->getOptionValue('404_page_title_image')); ?>" alt="" /></div>
						<?php } ?>
						<h1>
							<?php if(blu_elated_options()->getOptionValue('404_title')){
								echo esc_html(blu_elated_options()->getOptionValue('404_title'));
							} else {
								esc_html_e('404', 'blu');
							} ?>
						</h1>
						<h3>
							<?php if(blu_elated_options()->getOptionValue('404_subtitle')){
								echo esc_html(blu_elated_options()->getOptionValue('404_subtitle'));
							} else {
								esc_html_e('Page not found', 'blu');
							} ?>
						</h3>
						<p class="eltdf-page-not-found-text">
							<?php if(blu_elated_options()->getOptionValue('404_text')){
								echo esc_html(blu_elated_options()->getOptionValue('404_text'));
							} else {
								esc_html_e('Oops! The page you are looking for does not exist. It might have been moved or deleted.', 'blu');
							} ?>
						</p>
						<?php
							$params = array();
							if (blu_elated_options()->getOptionValue('404_back_to_home')){
								$params['text'] = blu_elated_options()->getOptionValue('404_back_to_home');
							} else {
								$params['text'] = esc_html__('BACK TO HOME', 'blu');
							}
							$params['link'] = esc_url(home_url('/'));
							$params['target'] = '_self';
							$params['type'] = 'outline';
							$params['size'] = 'large';

							if (blu_elated_options()->getOptionValue('404_button_style') == 'light-button'){
								$params['custom_class'] = 'eltdf-btn-light';
							}

						echo blu_elated_execute_shortcode('eltdf_button',$params);?>
					</div>
				</div>	
			</div>
		</div>
	</div>		
	<?php wp_footer(); ?>
</body>
</html>