<?php

    $general_meta_box = blu_elated_add_meta_box(
        array(
            'scope' => array('page', 'portfolio-item', 'post'),
            'title' => esc_html__('General', 'blu'),
            'name' => 'general_meta'
        )
    );

    blu_elated_add_meta_box_field(
        array(
            'name' => 'eltdf_page_background_color_meta',
            'type' => 'color',
            'label' => esc_html__('Page Background Color', 'blu'),
            'description' => esc_html__('Choose background color for page content', 'blu'),
            'parent' => $general_meta_box
        )
    );

    blu_elated_add_meta_box_field(
        array(
            'name' => 'eltdf_page_slider_meta',
            'type' => 'text',
            'default_value' => '',
            'label' => esc_html__('Slider Shortcode', 'blu'),
            'description' => esc_html__('Paste your slider shortcode here', 'blu'),
            'parent' => $general_meta_box
        )
    );

    $eltdf_content_padding_group = blu_elated_add_admin_group(array(
        'name' => 'content_padding_group',
        'title' => esc_html__('Content Style', 'blu'),
        'description' => esc_html__('Define styles for Content area', 'blu'),
        'parent' => $general_meta_box
    ));

    $eltdf_content_padding_row = blu_elated_add_admin_row(array(
        'name' => 'eltdf_content_padding_row',
        'next' => true,
        'parent' => $eltdf_content_padding_group
    ));

    blu_elated_add_meta_box_field(
        array(
            'name'          => 'eltdf_page_content_top_padding',
            'type'          => 'textsimple',
            'default_value' => '',
            'label'         => esc_html__('Content Top Padding', 'blu'),
            'parent'        => $eltdf_content_padding_row,
            'args'          => array(
                'suffix' => 'px'
            )
        )
    );

    blu_elated_add_meta_box_field(
        array(
            'name'        => 'eltdf_page_content_top_padding_mobile',
            'type'        => 'selectsimple',
            'label'       => esc_html__('Set this top padding for mobile header', 'blu'),
            'parent'      => $eltdf_content_padding_row,
            'options'     => blu_elated_get_yes_no_select_array(false)
        )
    );

    blu_elated_add_meta_box_field(
        array(
            'name'        => 'eltdf_page_comments_meta',
            'type'        => 'select',
            'label'       => esc_html__('Show Comments', 'blu'),
            'description' => esc_html__('Enabling this option will show comments on your page', 'blu'),
            'parent'      => $general_meta_box,
            'options'     => blu_elated_get_yes_no_select_array()
        )
    );