<?php

$video_post_format_meta_box = blu_elated_add_meta_box(
	array(
		'scope' =>	array('post'),
		'title' => esc_html__('Video Post Format', 'blu'),
		'name' 	=> 'post_format_video_meta'
	)
);

blu_elated_add_meta_box_field(
	array(
		'name'        => 'eltdf_video_type_meta',
		'type'        => 'select',
		'label'       => esc_html__('Video Type', 'blu'),
		'description' => esc_html__('Choose video type', 'blu'),
		'parent'      => $video_post_format_meta_box,
		'default_value' => 'social_networks',
		'options'     => array(
			'social_networks' => esc_html__('Youtube or Vimeo', 'blu'),
			'self' => esc_html__('Self Hosted', 'blu')
		),
		'args' => array(
			'dependence' => true,
			'hide' => array(
				'social_networks' => '#eltdf_eltdf_video_self_hosted_container',
				'self' => '#eltdf_eltdf_video_embedded_container'
			),
			'show' => array(
				'social_networks' => '#eltdf_eltdf_video_embedded_container',
				'self' => '#eltdf_eltdf_video_self_hosted_container')
		)
	)
);

$eltdf_video_embedded_container = blu_elated_add_admin_container(
	array(
		'parent' => $video_post_format_meta_box,
		'name' => 'eltdf_video_embedded_container',
		'hidden_property' => 'eltdf_video_type_meta',
		'hidden_value' => 'self'
	)
);

$eltdf_video_self_hosted_container = blu_elated_add_admin_container(
	array(
		'parent' => $video_post_format_meta_box,
		'name' => 'eltdf_video_self_hosted_container',
		'hidden_property' => 'eltdf_video_type_meta',
		'hidden_value' => 'social_networks'
	)
);

blu_elated_add_meta_box_field(
	array(
		'name'        => 'eltdf_post_video_link_meta',
		'type'        => 'text',
		'label'       => esc_html__('Video URL', 'blu'),
		'description' => esc_html__('Enter Video URL', 'blu'),
		'parent'      => $eltdf_video_embedded_container,
	)
);

blu_elated_add_meta_box_field(
	array(
		'name'        => 'eltdf_post_video_image_meta',
		'type'        => 'image',
		'label'       => esc_html__('Video Image', 'blu'),
		'description' => esc_html__('Upload video image', 'blu'),
		'parent'      => $eltdf_video_self_hosted_container,
	)
);

blu_elated_add_meta_box_field(
	array(
		'name'        => 'eltdf_post_video_mp4_link_meta',
		'type'        => 'text',
		'label'       => esc_html__('Video MP4', 'blu'),
		'description' => esc_html__('Enter video URL for MP4 format', 'blu'),
		'parent'      => $eltdf_video_self_hosted_container,
	)
);