<?php

if(!function_exists('blu_elated_map_portfolio_settings')) {
    function blu_elated_map_portfolio_settings() {
        $meta_box = blu_elated_add_meta_box(array(
            'scope' => 'portfolio-item',
            'title' => esc_html__('Portfolio Settings', 'blu'),
            'name'  => 'portfolio_settings_meta_box'
        ));

        blu_elated_add_meta_box_field(array(
            'name'        => 'eltdf_portfolio_single_template_meta',
            'type'        => 'select',
            'label'       => esc_html__('Portfolio Type', 'blu'),
            'description' => esc_html__('Choose a default type for Single Project pages', 'blu'),
            'parent'      => $meta_box,
            'options'     => array(
                ''                  => esc_html__('Default', 'blu'),
                'small-images'      => esc_html__('Portfolio Small Images', 'blu'),
                'small-slider'      => esc_html__('Portfolio Small Slider', 'blu'),
                'big-images'        => esc_html__('Portfolio Big Images', 'blu'),
                'big-slider'        => esc_html__('Portfolio Big Slider', 'blu'),
                'custom'            => esc_html__('Portfolio Custom', 'blu'),
                'full-width-custom' => esc_html__('Portfolio Full Width Custom', 'blu'),
                'gallery'           => esc_html__('Portfolio Gallery', 'blu')
            )
        ));

	    blu_elated_add_meta_box_field(array(
		    'name'        => 'portfolio_info_top_padding',
		    'type'        => 'text',
		    'label'       => esc_html__('Portfolio Info Top Padding', 'blu'),
		    'description' => esc_html__('Set top padding for portfolio info elements holder. This option works only for Portfolio Big Images, Big Slider and Gallery portfolio types', 'blu'),
		    'parent'      => $meta_box,
		    'args'        => array(
			    'col_width' => 3,
			    'suffix' => 'px'
		    )
	    ));

        $all_pages = array();
        $pages     = get_pages();
        foreach($pages as $page) {
            $all_pages[$page->ID] = $page->post_title;
        }

        blu_elated_add_meta_box_field(array(
            'name'        => 'portfolio_single_back_to_link',
            'type'        => 'select',
            'label'       => esc_html__('"Back To" Link', 'blu'),
            'description' => esc_html__('Choose "Back To" page to link from portfolio Single Project page', 'blu'),
            'parent'      => $meta_box,
            'options'     => $all_pages
        ));

        blu_elated_add_meta_box_field(array(
            'name'        => 'portfolio_external_link',
            'type'        => 'text',
            'label'       => esc_html__('Portfolio External Link', 'blu'),
            'description' => esc_html__('Enter URL to link from Portfolio List page', 'blu'),
            'parent'      => $meta_box,
            'args'        => array(
                'col_width' => 3
            )
        ));
	
	    blu_elated_add_meta_box_field(
		    array(
			    'name' => 'eltdf_portfolio_featured_image_meta',
			    'type' => 'image',
			    'label' => esc_html__('Featured Image', 'blu'),
			    'description' => esc_html__('Choose an image for Portfolio Lists shortcode where Hover Type option is Switch Featured Images', 'blu'),
			    'parent' => $meta_box
		    )
	    );

        blu_elated_add_meta_box_field(array(
            'name'        => 'portfolio_masonry_dimenisions',
            'type'        => 'select',
            'label'       => esc_html__('Dimensions for Masonry', 'blu'),
            'description' => esc_html__('Choose image layout when it appears in Masonry type portfolio lists', 'blu'),
            'parent'      => $meta_box,
            'options'     => array(
                ''                   => esc_html__('Default', 'blu'),
                'small'              => esc_html__('Small', 'blu'),
                'large_width'        => esc_html__('Large Width', 'blu'),
                'large_height'       => esc_html__('Large Height', 'blu'),
                'large_width_height' => esc_html__('Large Width/Height', 'blu')
            )
        ));
    }

    add_action('blu_elated_meta_boxes_map', 'blu_elated_map_portfolio_settings');
}