<?php

$header_meta_box = blu_elated_add_meta_box(
    array(
        'scope' => array('page', 'portfolio-item', 'post'),
        'title' => esc_html__('Header', 'blu'),
        'name' => 'header_meta'
    )
);

	blu_elated_add_meta_box_field(
		array(
			'name' => 'eltdf_header_type_meta',
			'type' => 'select',
			'default_value' => '',
			'label' => esc_html__('Choose Header Type', 'blu'),
			'description' => esc_html__('Select header type layout', 'blu'),
			'parent' => $header_meta_box,
			'options' => array(
				'' => 'Default',
				'header-standard' => esc_html__('Standard Header Layout', 'blu'),
				'header-full-screen' => esc_html__('Full Screen Header Layout', 'blu'),
				'header-vertical' => esc_html__('Vertical Header Layout', 'blu')
			),
			'args' => array(
				"dependence" => true,
				"hide" => array(
					"" => '#eltdf_eltdf_header_standard_type_meta_container, #eltdf_eltdf_header_full_screen_type_meta_container, #eltdf_eltdf_header_vertical_type_meta_container',
					"header-standard" => '#eltdf_eltdf_header_full_screen_type_meta_container, #eltdf_eltdf_header_vertical_type_meta_container',
					"header-full-screen" => '#eltdf_eltdf_header_standard_type_meta_container, #eltdf_eltdf_header_vertical_type_meta_container',
					"header-vertical" => '#eltdf_eltdf_header_standard_type_meta_container, #eltdf_eltdf_header_full_screen_type_meta_container'
				),
				"show" => array(
					"" => '',
					"header-standard" => '#eltdf_eltdf_header_standard_type_meta_container',
					"header-full-screen" => '#eltdf_eltdf_header_full_screen_type_meta_container',
					"header-vertical" => '#eltdf_eltdf_header_vertical_type_meta_container'
				)
			)
		)
	);

    $header_standard_type_meta_container = blu_elated_add_admin_container(
        array(
            'parent' => $header_meta_box,
            'name' => 'eltdf_header_standard_type_meta_container',
            'hidden_property' => 'eltdf_header_type_meta',
            'hidden_values' => array(
                'header-full-screen',
	            'header-vertical'
            ),
        )
    );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_enable_grid_layout_header_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => esc_html__('Enable Grid Layout', 'blu'),
                'description' => esc_html__('Enabling this option you will set standard header area to be in grid', 'blu'),
                'parent' => $header_standard_type_meta_container,
                'options' => blu_elated_get_yes_no_select_array()
            )
        );

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_set_menu_area_position_meta',
				'type' => 'select',
				'default_value' => '',
				'label' => esc_html__('Choose Menu Area Position', 'blu'),
				'description' => esc_html__('Select menu area position in your header', 'blu'),
				'parent' => $header_standard_type_meta_container,
				'options' => array(
					'' => esc_html__('Default', 'blu'),
					'center' => esc_html__('Center', 'blu'),
					'right' => esc_html__('Right', 'blu')
				)
			)
		);

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_menu_area_background_color_header_standard_meta',
                'type' => 'color',
                'label' => esc_html__('Background Color', 'blu'),
                'description' => esc_html__('Choose a background color for header area', 'blu'),
                'parent' => $header_standard_type_meta_container
            )
        );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_menu_area_background_transparency_header_standard_meta',
                'type' => 'text',
                'label' => esc_html__('Background Transparency', 'blu'),
                'description' => esc_html__('Choose a transparency for the header background color (0 = fully transparent, 1 = opaque)', 'blu'),
                'parent' => $header_standard_type_meta_container,
                'args' => array(
                    'col_width' => 2
                )
            )
        );

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_menu_area_border_bottom_color_header_standard_meta',
				'type' => 'color',
				'label' => esc_html__('Border Color', 'blu'),
				'description' => esc_html__('Choose a border bottom color for header area', 'blu'),
				'parent' => $header_standard_type_meta_container
			)
		);


    $header_full_screen_type_meta_container = blu_elated_add_admin_container(
        array(
            'parent' => $header_meta_box,
            'name' => 'eltdf_header_full_screen_type_meta_container',
            'hidden_property' => 'eltdf_header_type_meta',
            'hidden_values' => array(
                'header-standard',
	            'header-vertical'
            ),
        )
    );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_enable_grid_layout_header_full_screen_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => esc_html__('Enable Grid Layout', 'blu'),
                'description' => esc_html__('Enabling this option you will set full screen header area to be in grid', 'blu'),
                'parent' => $header_full_screen_type_meta_container,
                'options' => blu_elated_get_yes_no_select_array()
            )
        );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_menu_area_background_color_header_full_screen_meta',
                'type' => 'color',
                'label' => esc_html__('Background Color', 'blu'),
                'description' => esc_html__('Choose a background color for header area', 'blu'),
                'parent' => $header_full_screen_type_meta_container
            )
        );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_menu_area_background_transparency_header_full_screen_meta',
                'type' => 'text',
                'label' => esc_html__('Background Transparency', 'blu'),
                'description' => esc_html__('Choose a transparency for the header background color (0 = fully transparent, 1 = opaque)', 'blu'),
                'parent' => $header_full_screen_type_meta_container,
                'args' => array(
                    'col_width' => 2
                )
            )
        );

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_menu_area_border_bottom_color_header_full_screen_meta',
				'type' => 'color',
				'label' => esc_html__('Border Color', 'blu'),
				'description' => esc_html__('Choose a border bottom color for header area', 'blu'),
				'parent' => $header_full_screen_type_meta_container
			)
		);

	$header_vertical_type_meta_container = blu_elated_add_admin_container(
		array(
			'parent' => $header_meta_box,
			'name' => 'eltdf_header_vertical_type_meta_container',
			'hidden_property' => 'eltdf_header_type_meta',
			'hidden_values' => array(
				'header-standard',
				'header-full-screen'
			),
		)
	);

		blu_elated_add_meta_box_field(array(
			'name'        => 'eltdf_vertical_header_background_color_meta',
			'type'        => 'color',
			'label'       => esc_html__('Background Color', 'blu'),
			'description' => esc_html__('Choose a background color for header area', 'blu'),
			'parent'      => $header_vertical_type_meta_container
		));

		blu_elated_add_meta_box_field(array(
			'name'        => 'eltdf_vertical_header_transparency_meta',
			'type'        => 'text',
			'label'       => esc_html__('Transparency', 'blu'),
			'description' => esc_html__('Choose a transparency for the header background color (0 = fully transparent, 1 = opaque)', 'blu'),
			'parent'      => $header_vertical_type_meta_container,
			'args'        => array(
				'col_width' => 1
			)
		));

		blu_elated_add_meta_box_field(
			array(
				'name'          => 'eltdf_vertical_header_background_image_meta',
				'type'          => 'image',
				'default_value' => '',
				'label'         => esc_html__('Background Image', 'blu'),
				'description'   => esc_html__('Set background image for vertical menu', 'blu'),
				'parent'        => $header_vertical_type_meta_container
			)
		);

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_disable_vertical_header_background_image_meta',
				'type' => 'yesno',
				'default_value' => 'no',
				'label' => esc_html__('Disable Background Image', 'blu'),
				'description' => esc_html__('Enabling this option will hide background image in header area', 'blu'),
				'parent' => $header_vertical_type_meta_container
			)
		);

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_vertical_header_text_align_meta',
				'type' => 'select',
				'default_value' => '',
				'label' => esc_html__('Choose Text Alignment', 'blu'),
				'description' => esc_html__('Choose text alignment for header area elements (logo, menu and widgets)', 'blu'),
				'parent' => $header_vertical_type_meta_container,
				'options' => array(
					'' => esc_html__('Default', 'blu'),
					'left' => esc_html__('Left', 'blu'),
					'center' => esc_html__('Center', 'blu')
				)
			)
		);

	blu_elated_add_meta_box_field(
		array(
			'name' => 'eltdf_disable_header_widget_area_meta',
			'type' => 'yesno',
			'default_value' => 'no',
			'label' => esc_html__('Disable Header Widget Area', 'blu'),
			'description' => esc_html__('Enabling this option will hide widget area from the right hand side of main menu', 'blu'),
			'parent' => $header_meta_box
		)
	);

	$blu_elated_custom_sidebars = blu_elated_get_custom_sidebars();
	if(count($blu_elated_custom_sidebars) > 0) {
		blu_elated_add_meta_box_field(array(
			'name' => 'eltdf_custom_header_sidebar_meta',
			'type' => 'selectblank',
			'label' => esc_html__('Choose Custom Widget Area in Header', 'blu'),
			'description' => esc_html__('Choose custom widget area to display in header area from the right hand side of main menu"', 'blu'),
			'parent' => $header_meta_box,
			'options' => $blu_elated_custom_sidebars
		));
	}

    blu_elated_add_meta_box_field(
        array(
            'name' => 'eltdf_top_bar_meta',
            'type' => 'select',
            'default_value' => '',
            'label' => esc_html__('Header Top Bar', 'blu'),
            'description' => esc_html__('Enabling this option will show header top bar area', 'blu'),
            'parent' => $header_meta_box,
            'options' => blu_elated_get_yes_no_select_array()
        )
    );

	blu_elated_add_meta_box_field(
		array(
			'name' => 'eltdf_header_style_meta',
			'type' => 'select',
			'default_value' => '',
			'label' => esc_html__('Header Skin', 'blu'),
			'description' => esc_html__('Choose a header style to make header elements (logo, main menu, side menu button) in that predefined style', 'blu'),
			'parent' => $header_meta_box,
			'options' => array(
				'' => esc_html__('Default', 'blu'),
				'light-header' => esc_html__('Light', 'blu'),
				'dark-header' => esc_html__('Dark', 'blu')
			)
		)
	);

	blu_elated_add_meta_box_field(
        array(
            'name'            => 'eltdf_scroll_amount_for_sticky_meta',
            'type'            => 'text',
            'label'           => esc_html__('Scroll amount for sticky header appearance', 'blu'),
            'description'     => esc_html__('Define scroll amount for sticky header appearance', 'blu'),
            'parent'          => $header_meta_box,
            'args'            => array(
                'col_width' => 2,
                'suffix'    => 'px'
            ),
            'hidden_property' => 'header_behaviour',
            'hidden_values'   => array("sticky-header-on-scroll-up", "fixed-on-scroll")
        )
    );