<?php

$title_meta_box = blu_elated_add_meta_box(
    array(
        'scope' => array('page', 'portfolio-item', 'post'),
        'title' => esc_html__('Title', 'blu'),
        'name' => 'title_meta'
    )
);

    blu_elated_add_meta_box_field(
        array(
            'name' => 'eltdf_show_title_area_meta',
            'type' => 'select',
            'default_value' => '',
            'label' => esc_html__('Show Title Area', 'blu'),
            'description' => esc_html__('Disabling this option will turn off page title area', 'blu'),
            'parent' => $title_meta_box,
            'options' => blu_elated_get_yes_no_select_array(),
            'args' => array(
                "dependence" => true,
                "hide" => array(
                    "" => "",
                    "no" => "#eltdf_eltdf_show_title_area_meta_container",
                    "yes" => ""
                ),
                "show" => array(
                    "" => "#eltdf_eltdf_show_title_area_meta_container",
                    "no" => "",
                    "yes" => "#eltdf_eltdf_show_title_area_meta_container"
                )
            )
        )
    );

    $show_title_area_meta_container = blu_elated_add_admin_container(
        array(
            'parent' => $title_meta_box,
            'name' => 'eltdf_show_title_area_meta_container',
            'hidden_property' => 'eltdf_show_title_area_meta',
            'hidden_value' => 'no'
        )
    );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_title_area_type_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => esc_html__('Title Area Type', 'blu'),
                'description' => esc_html__('Choose title type', 'blu'),
                'parent' => $show_title_area_meta_container,
                'options' => array(
                    '' => esc_html__('Default', 'blu'),
                    'standard' => esc_html__('Standard', 'blu'),
                    'breadcrumbs' => esc_html__('Simple With Breadcrumbs', 'blu')
                ),
                'args' => array(
                    "dependence" => true,
                    "hide" => array(
	                    "" => "#eltdf_eltdf_title_area_type_meta_container",
                        "standard" => "",
                        "breadcrumbs" => "#eltdf_eltdf_title_area_type_meta_container"
                    ),
                    "show" => array(
                        "" => "",
                        "standard" => "#eltdf_eltdf_title_area_type_meta_container",
                        "breadcrumbs" => ""
                    )
                )
            )
        );

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_title_area_content_alignment_meta',
				'type' => 'select',
				'default_value' => '',
				'label' => esc_html__('Horizontal Alignment', 'blu'),
				'description' => esc_html__('Specify title horizontal alignment', 'blu'),
				'parent' => $show_title_area_meta_container,
				'options' => array(
					'' => esc_html__('Default', 'blu'),
					'left' => esc_html__('Left', 'blu'),
					'center' => esc_html__('Center', 'blu')
				)
			)
		);

        $title_area_type_meta_container = blu_elated_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'eltdf_title_area_type_meta_container',
                'hidden_property' => 'eltdf_title_area_type_meta',
                'hidden_values' => array('', 'breadcrumbs')
            )
        );

	        blu_elated_add_meta_box_field(
	            array(
	                'name' => 'eltdf_title_area_vertial_alignment_meta',
	                'type' => 'select',
	                'default_value' => '',
	                'label' => esc_html__('Vertical Alignment', 'blu'),
	                'description' => esc_html__('Specify title vertical alignment', 'blu'),
	                'parent' => $title_area_type_meta_container,
	                'options' => array(
	                    '' => esc_html__('Default', 'blu'),
	                    'header_bottom' => esc_html__('From Bottom of Header', 'blu'),
	                    'window_top' => esc_html__('From Window Top', 'blu')
	                )
	            )
	        );

			blu_elated_add_meta_box_field(array(
				'name' => 'eltdf_title_area_subtitle_meta',
				'type' => 'text',
				'default_value' => '',
				'label' => esc_html__('Subtitle Text', 'blu'),
				'description' => esc_html__('Enter your subtitle text', 'blu'),
				'parent' => $title_area_type_meta_container,
				'args' => array(
					'col_width' => 6
				)
			));
			
			blu_elated_add_meta_box_field(
				array(
					'name' => 'eltdf_subtitle_color_meta',
					'type' => 'color',
					'label' => esc_html__('Subtitle Color', 'blu'),
					'description' => esc_html__('Choose a color for subtitle text', 'blu'),
					'parent' => $title_area_type_meta_container
				)
			);

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_title_text_font_size_meta',
				'type' => 'text',
				'label' => esc_html__('Title Font Size', 'blu'),
				'description' => esc_html__('Choose a font size for title text', 'blu'),
				'parent' => $show_title_area_meta_container,
				'args' => array(
					'col_width' => 2,
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_meta_box_field(
			array(
				'name' => 'eltdf_title_text_color_meta',
				'type' => 'color',
				'label' => esc_html__('Title Color', 'blu'),
				'description' => esc_html__('Choose a color for title text', 'blu'),
				'parent' => $show_title_area_meta_container
			)
		);

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_title_area_background_color_meta',
                'type' => 'color',
                'label' => esc_html__('Background Color', 'blu'),
                'description' => esc_html__('Choose a background color for title area', 'blu'),
                'parent' => $show_title_area_meta_container
            )
        );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_hide_background_image_meta',
                'type' => 'yesno',
                'default_value' => 'no',
                'label' => esc_html__('Hide Background Image', 'blu'),
                'description' => esc_html__('Enable this option to hide background image in title area', 'blu'),
                'parent' => $show_title_area_meta_container,
                'args' => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "#eltdf_eltdf_hide_background_image_meta_container",
                    "dependence_show_on_yes" => ""
                )
            )
        );

        $hide_background_image_meta_container = blu_elated_add_admin_container(
            array(
                'parent' => $show_title_area_meta_container,
                'name' => 'eltdf_hide_background_image_meta_container',
                'hidden_property' => 'eltdf_hide_background_image_meta',
                'hidden_value' => 'yes'
            )
        );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_title_area_background_image_meta',
                'type' => 'image',
                'label' => esc_html__('Background Image', 'blu'),
                'description' => esc_html__('Choose an Image for title area', 'blu'),
                'parent' => $hide_background_image_meta_container
            )
        );

        blu_elated_add_meta_box_field(
            array(
                'name' => 'eltdf_title_area_background_image_responsive_meta',
                'type' => 'select',
                'default_value' => '',
                'label' => esc_html__('Background Responsive Image', 'blu'),
                'description' => esc_html__('Enabling this option will make Title background image responsive', 'blu'),
                'parent' => $hide_background_image_meta_container,
                'options' => blu_elated_get_yes_no_select_array(),
                'args' => array(
                    "dependence" => true,
                    "hide" => array(
                        "" => "",
                        "no" => "",
                        "yes" => "#eltdf_eltdf_title_area_background_image_responsive_meta_container, #eltdf_eltdf_title_area_height_meta"
                    ),
                    "show" => array(
                        "" => "#eltdf_eltdf_title_area_background_image_responsive_meta_container, #eltdf_eltdf_title_area_height_meta",
                        "no" => "#eltdf_eltdf_title_area_background_image_responsive_meta_container, #eltdf_eltdf_title_area_height_meta",
                        "yes" => ""
                    )
                )
            )
        );

        $title_area_background_image_responsive_meta_container = blu_elated_add_admin_container(
            array(
                'parent' => $hide_background_image_meta_container,
                'name' => 'eltdf_title_area_background_image_responsive_meta_container',
                'hidden_property' => 'eltdf_title_area_background_image_responsive_meta',
                'hidden_value' => 'yes'
            )
        );

            blu_elated_add_meta_box_field(
                array(
                    'name' => 'eltdf_title_area_background_image_parallax_meta',
                    'type' => 'select',
                    'default_value' => '',
                    'label' => esc_html__('Background Image in Parallax', 'blu'),
                    'description' => esc_html__('Enabling this option will make Title background image parallax', 'blu'),
                    'parent' => $title_area_background_image_responsive_meta_container,
                    'options' => array(
                        '' => esc_html__('Default', 'blu'),
                        'no' => esc_html__('No', 'blu'),
                        'yes' => esc_html__('Yes', 'blu'),
                        'yes_zoom' => esc_html__('Yes, with zoom out', 'blu')
                    )
                )
            );

        blu_elated_add_meta_box_field(array(
            'name' => 'eltdf_title_area_height_meta',
            'type' => 'text',
            'label' => esc_html__('Height', 'blu'),
            'description' => esc_html__('Set a height for Title Area', 'blu'),
            'parent' => $show_title_area_meta_container,
            'args' => array(
                'col_width' => 2,
                'suffix' => 'px'
            )
        ));