<?php

if ( ! function_exists('blu_elated_general_options_map') ) {
    /**
     * General options page
     */
    function blu_elated_general_options_map() {

        blu_elated_add_admin_page(
            array(
                'slug'  => '',
                'title' => esc_html__('General', 'blu'),
                'icon'  => 'fa fa-institution'
            )
        );

        $panel_design_style = blu_elated_add_admin_panel(
            array(
                'page'  => '',
                'name'  => 'panel_design_style',
                'title' => esc_html__('Design Style', 'blu')
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'google_fonts',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => esc_html__('Google Font Family', 'blu'),
                'description'   => esc_html__('Choose a default Google font for your site', 'blu'),
                'parent' => $panel_design_style
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'additional_google_fonts',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => esc_html__('Additional Google Fonts', 'blu'),
                'parent'        => $panel_design_style,
                'args'          => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#eltdf_additional_google_fonts_container"
                )
            )
        );

        $additional_google_fonts_container = blu_elated_add_admin_container(
            array(
                'parent'            => $panel_design_style,
                'name'              => 'additional_google_fonts_container',
                'hidden_property'   => 'additional_google_fonts',
                'hidden_value'      => 'no'
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'additional_google_font1',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => esc_html__('Font Family', 'blu'),
                'description'   => esc_html__('Choose additional Google font for your site', 'blu'),
                'parent'        => $additional_google_fonts_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'additional_google_font2',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => esc_html__('Font Family', 'blu'),
                'description'   => esc_html__('Choose additional Google font for your site', 'blu'),
                'parent'        => $additional_google_fonts_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'additional_google_font3',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => esc_html__('Font Family', 'blu'),
                'description'   => esc_html__('Choose additional Google font for your site', 'blu'),
                'parent'        => $additional_google_fonts_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'additional_google_font4',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => esc_html__('Font Family', 'blu'),
                'description'   => esc_html__('Choose additional Google font for your site', 'blu'),
                'parent'        => $additional_google_fonts_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'additional_google_font5',
                'type'          => 'font',
                'default_value' => '-1',
                'label'         => esc_html__('Font Family', 'blu'),
                'description'   => esc_html__('Choose additional Google font for your site', 'blu'),
                'parent'        => $additional_google_fonts_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name' => 'google_font_weight',
                'type' => 'checkboxgroup',
                'default_value' => '',
                'label' => esc_html__('Google Fonts Style & Weight', 'blu'),
                'description' => esc_html__('Choose a default Google font weights for your site. Impact on page load time', 'blu'),
                'parent' => $panel_design_style,
                'options' => array(
                    '100'       => esc_html__('100 Thin', 'blu'),
                    '100italic' => esc_html__('100 Thin Italic', 'blu'),
                    '200'       => esc_html__('200 Extra-Light', 'blu'),
                    '200italic' => esc_html__('200 Extra-Light Italic', 'blu'),
                    '300'       => esc_html__('300 Light', 'blu'),
                    '300italic' => esc_html__('300 Light Italic', 'blu'),
                    '400'       => esc_html__('400 Regular', 'blu'),
                    '400italic' => esc_html__('400 Regular Italic', 'blu'),
                    '500'       => esc_html__('500 Medium', 'blu'),
                    '500italic' => esc_html__('500 Medium Italic', 'blu'),
                    '600'       => esc_html__('600 Semi-Bold', 'blu'),
                    '600italic' => esc_html__('600 Semi-Bold Italic', 'blu'),
                    '700'       => esc_html__('700 Bold', 'blu'),
                    '700italic' => esc_html__('700 Bold Italic', 'blu'),
                    '800'       => esc_html__('800 Extra-Bold', 'blu'),
                    '800italic' => esc_html__('800 Extra-Bold Italic', 'blu'),
                    '900'       => esc_html__('900 Ultra-Bold', 'blu'),
                    '900italic' => esc_html__('900 Ultra-Bold Italic', 'blu')
                )
            )
        );

        blu_elated_add_admin_field(
            array(
                'name' => 'google_font_subset',
                'type' => 'checkboxgroup',
                'default_value' => '',
                'label' => esc_html__('Google Fonts Subset', 'blu'),
                'description' => esc_html__('Choose a default Google font subsets for your site', 'blu'),
                'parent' => $panel_design_style,
                'options' => array(
                    'latin' => esc_html__('Latin', 'blu'),
                    'latin-ext' => esc_html__('Latin Extended', 'blu'),
                    'cyrillic' => esc_html__('Cyrillic', 'blu'),
                    'cyrillic-ext' => esc_html__('Cyrillic Extended', 'blu'),
                    'greek' => esc_html__('Greek', 'blu'),
                    'greek-ext' => esc_html__('Greek Extended', 'blu'),
                    'vietnamese' => esc_html__('Vietnamese', 'blu')
                )
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'first_color',
                'type'          => 'color',
                'label'         => esc_html__('First Main Color', 'blu'),
                'description'   => esc_html__('Choose the most dominant theme color. Default color is #00bbb3', 'blu'),
                'parent'        => $panel_design_style
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'page_background_color',
                'type'          => 'color',
                'label'         => esc_html__('Page Background Color', 'blu'),
                'description'   => esc_html__('Choose the background color for page content. Default color is #ffffff', 'blu'),
                'parent'        => $panel_design_style
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'selection_color',
                'type'          => 'color',
                'label'         => esc_html__('Text Selection Color', 'blu'),
                'description'   => esc_html__('Choose the color users see when selecting text', 'blu'),
                'parent'        => $panel_design_style
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'boxed',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => esc_html__('Boxed Layout', 'blu'),
                'description'   => '',
                'parent'        => $panel_design_style,
                'args'          => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#eltdf_boxed_container"
                )
            )
        );

        $boxed_container = blu_elated_add_admin_container(
            array(
                'parent'            => $panel_design_style,
                'name'              => 'boxed_container',
                'hidden_property'   => 'boxed',
                'hidden_value'      => 'no'
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'page_background_color_in_box',
                'type'          => 'color',
                'label'         => esc_html__('Page Background Color', 'blu'),
                'description'   => esc_html__('Choose the page background color outside box', 'blu'),
                'parent'        => $boxed_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'boxed_background_image',
                'type'          => 'image',
                'label'         => esc_html__('Background Image', 'blu'),
                'description'   => esc_html__('Choose an image to be displayed in background', 'blu'),
                'parent'        => $boxed_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'boxed_pattern_background_image',
                'type'          => 'image',
                'label'         => esc_html__('Background Pattern', 'blu'),
                'description'   => esc_html__('Choose an image to be used as background pattern', 'blu'),
                'parent'        => $boxed_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'boxed_background_image_attachment',
                'type'          => 'select',
                'default_value' => 'fixed',
                'label'         => esc_html__('Background Image Attachment', 'blu'),
                'description'   => esc_html__('Choose background image attachment', 'blu'),
                'parent'        => $boxed_container,
                'options'       => array(
                    'fixed'     => esc_html__('Fixed', 'blu'),
                    'scroll'    => esc_html__('Scroll', 'blu')
                )
            )
        );
        
        blu_elated_add_admin_field(
            array(
                'name'          => 'paspartu',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => esc_html__('Passepartout', 'blu'),
                'description'   => esc_html__('Enabling this option will display passepartout around site content', 'blu'),
                'parent'        => $panel_design_style,
                'args'          => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#eltdf_paspartu_container"
                )
            )
        );

        $paspartu_container = blu_elated_add_admin_container(
            array(
                'parent'            => $panel_design_style,
                'name'              => 'paspartu_container',
                'hidden_property'   => 'paspartu',
                'hidden_value'      => 'no'
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'paspartu_color',
                'type'          => 'color',
                'label'         => esc_html__('Passepartout Color', 'blu'),
                'description'   => esc_html__('Choose passepartout color, default value is #ffffff', 'blu'),
                'parent'        => $paspartu_container
            )
        );

        blu_elated_add_admin_field(
            array(
                'name' => 'paspartu_width',
                'type' => 'text',
                'label' => esc_html__('Passepartout Size', 'blu'),
                'description' => esc_html__('Enter size amount for passepartout', 'blu'),
                'parent' => $paspartu_container,
                'args' => array(
                    'col_width' => 2,
                    'suffix' => '%'
                )
            )
        );

        blu_elated_add_admin_field(
            array(
                'parent' => $paspartu_container,
                'type' => 'yesno',
                'default_value' => 'no',
                'name' => 'disable_top_paspartu',
                'label' => esc_html__('Disable Top Passepartout', 'blu')
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'initial_content_width',
                'type'          => 'select',
                'default_value' => '',
                'label'         => esc_html__('Initial Width of Content', 'blu'),
                'description'   => esc_html__('Choose the initial width of content which is in grid (Applies to pages set to "Default Template" and rows set to "In Grid")', 'blu'),
                'parent'        => $panel_design_style,
                'options'       => array(
                    'grid-1100' => esc_html__('1100px - default', 'blu'),
                    'grid-1300' => esc_html__('1300px', 'blu'),
                    'grid-1200' => esc_html__('1200px', 'blu'),
                    'grid-1000' => esc_html__('1000px', 'blu'),
                    'grid-800'  => esc_html__('800px', 'blu')
                )
            )
        );

        $panel_settings = blu_elated_add_admin_panel(
            array(
                'page'  => '',
                'name'  => 'panel_settings',
                'title' => esc_html__('Settings', 'blu')
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'smooth_page_transitions',
                'type'          => 'yesno',
                'default_value' => 'no',
                'label'         => esc_html__('Smooth Page Transitions', 'blu'),
                'description'   => esc_html__('Enabling this option will perform a smooth transition between pages when clicking on links', 'blu'),
                'parent'        => $panel_settings,
                'args'          => array(
                    "dependence" => true,
                    "dependence_hide_on_yes" => "",
                    "dependence_show_on_yes" => "#eltdf_page_transitions_container"
                )
            )
        );

        $page_transitions_container = blu_elated_add_admin_container(
            array(
                'parent'            => $panel_settings,
                'name'              => 'page_transitions_container',
                'hidden_property'   => 'smooth_page_transitions',
                'hidden_value'      => 'no'
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'smooth_pt_bgnd_color',
                'type'          => 'color',
                'label'         => esc_html__('Page Loader Background Color', 'blu'),
                'parent'        => $page_transitions_container
            )
        );

        $group_pt_spinner_animation = blu_elated_add_admin_group(array(
            'name'          => 'group_pt_spinner_animation',
            'title'         => esc_html__('Loader Style', 'blu'),
            'description'   => esc_html__('Define styles for loader spinner animation', 'blu'),
            'parent'        => $page_transitions_container
        ));

        $row_pt_spinner_animation = blu_elated_add_admin_row(array(
            'name'      => 'row_pt_spinner_animation',
            'parent'    => $group_pt_spinner_animation
        ));

        blu_elated_add_admin_field(array(
            'type'          => 'selectsimple',
            'name'          => 'smooth_pt_spinner_type',
            'default_value' => '',
            'label'         => esc_html__('Spinner Type', 'blu'),
            'parent'        => $row_pt_spinner_animation,
            'options'       => array(
                'rotate_circles' => esc_html__('Rotate Circles', 'blu'),
                'pulse' => esc_html__('Pulse', 'blu'),
                'double_pulse' => esc_html__('Double Pulse', 'blu'),
                'cube' => esc_html__('Cube', 'blu'),
                'rotating_cubes' => esc_html__('Rotating Cubes', 'blu'),
                'stripes' => esc_html__('Stripes', 'blu'),
                'wave' => esc_html__('Wave', 'blu'),
                'two_rotating_circles' => esc_html__('2 Rotating Circles', 'blu'),
                'five_rotating_circles' => esc_html__('5 Rotating Circles', 'blu'),
                'atom' => esc_html__('Atom', 'blu'),
                'clock' => esc_html__('Clock', 'blu'),
                'mitosis' => esc_html__('Mitosis', 'blu'),
                'lines' => esc_html__('Lines', 'blu'),
                'fussion' => esc_html__('Fussion', 'blu'),
                'wave_circles' => esc_html__('Wave Circles', 'blu'),
                'pulse_circles' => esc_html__('Pulse Circles', 'blu')
            )
        ));

        blu_elated_add_admin_field(array(
            'type'          => 'colorsimple',
            'name'          => 'smooth_pt_spinner_color',
            'default_value' => '',
            'label'         => esc_html__('Spinner Color', 'blu'),
            'parent'        => $row_pt_spinner_animation
        ));

        blu_elated_add_admin_field(
            array(
                'name'          => 'show_back_button',
                'type'          => 'yesno',
                'default_value' => 'yes',
                'label'         => esc_html__('Show "Back To Top Button"', 'blu'),
                'description'   => esc_html__('Enabling this option will display a Back to Top button on every page', 'blu'),
                'parent'        => $panel_settings
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'responsiveness',
                'type'          => 'yesno',
                'default_value' => 'yes',
                'label'         => esc_html__('Responsiveness', 'blu'),
                'description'   => esc_html__('Enabling this option will make all pages responsive', 'blu'),
                'parent'        => $panel_settings
            )
        );

        $panel_custom_code = blu_elated_add_admin_panel(
            array(
                'page'  => '',
                'name'  => 'panel_custom_code',
                'title' => esc_html__('Custom Code', 'blu')
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'custom_css',
                'type'          => 'textarea',
                'label'         => esc_html__('Custom CSS', 'blu'),
                'description'   => esc_html__('Enter your custom CSS here', 'blu'),
                'parent'        => $panel_custom_code
            )
        );

        blu_elated_add_admin_field(
            array(
                'name'          => 'custom_js',
                'type'          => 'textarea',
                'label'         => esc_html__('Custom JS', 'blu'),
                'description'   => esc_html__('Enter your custom Javascript here', 'blu'),
                'parent'        => $panel_custom_code
            )
        );
	
	    $panel_google_api = blu_elated_add_admin_panel(
		    array(
			    'page'  => '',
			    'name'  => 'panel_google_api',
			    'title' => esc_html__('Google API', 'blu')
		    )
	    );
	
	    blu_elated_add_admin_field(
		    array(
			    'name'        => 'google_maps_api_key',
			    'type'        => 'text',
			    'label'       => esc_html__('Google Maps Api Key', 'blu'),
			    'description' => esc_html__('Insert your Google Maps API key here. For instructions on how to create a Google Maps API key, please refer to our to our documentation.', 'blu'),
			    'parent'      => $panel_google_api
		    )
	    );
    }

    add_action( 'blu_elated_options_map', 'blu_elated_general_options_map', 1);
}