<?php

if ( ! function_exists('blu_elated_reset_options_map') ) {
	/**
	 * Reset options panel
	 */
	function blu_elated_reset_options_map() {

		blu_elated_add_admin_page(
			array(
				'slug'  => '_reset_page',
				'title' => esc_html__('Reset', 'blu'),
				'icon'  => 'fa fa-retweet'
			)
		);

		$panel_reset = blu_elated_add_admin_panel(
			array(
				'page'  => '_reset_page',
				'name'  => 'panel_reset',
				'title' => esc_html__('Reset', 'blu')
			)
		);

		blu_elated_add_admin_field(array(
			'type'	=> 'yesno',
			'name'	=> 'reset_to_defaults',
			'default_value'	=> 'no',
			'label'			=> esc_html__('Reset to Defaults', 'blu'),
			'description'	=> esc_html__('This option will reset all Select Options values to defaults', 'blu'),
			'parent'		=> $panel_reset
		));
	}

	add_action( 'blu_elated_options_map', 'blu_elated_reset_options_map', 100 );
}