<?php

if ( ! function_exists('blu_elated_error_404_options_map') ) {

	function blu_elated_error_404_options_map() {

		blu_elated_add_admin_page(array(
			'slug' => '__404_error_page',
			'title' => esc_html__('404 Error Page', 'blu'),
			'icon' => 'fa fa-exclamation-triangle'
		));

		$panel_404_header = blu_elated_add_admin_panel(array(
			'page' => '__404_error_page',
			'name'	=> 'panel_404_header',
			'title'	=> esc_html__('Header', 'blu')
		));

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_header,
				'type' => 'color',
				'name' => '404_menu_area_background_color_header',
				'label' => esc_html__('Background Color', 'blu'),
				'description' => esc_html__('Choose a background color for header area', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_header,
				'type' => 'text',
				'name' => '404_menu_area_background_transparency_header',
				'default_value' => '',
				'label' => esc_html__('Background Transparency', 'blu'),
				'description' => esc_html__('Choose a transparency for the header background color (0 = fully transparent, 1 = opaque)', 'blu'),
				'args' => array(
					'col_width' => 3
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_header,
				'type' => 'color',
				'name' => '404_menu_area_border_color_header',
				'default_value' => '',
				'label' => esc_html__('Border Color', 'blu'),
				'description' => esc_html__('Choose a border bottom color for header area', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_header,
				'type' => 'select',
				'name' => '404_header_style',
				'default_value' => '',
				'label' => esc_html__('Header Skin', 'blu'),
				'description' => esc_html__('Choose a header style to make header elements (logo, main menu, side menu button) in that predefined style', 'blu'),
				'options' => array(
					'' => esc_html__('Default', 'blu'),
					'light-header' => esc_html__('Light', 'blu'),
					'dark-header' => esc_html__('Dark', 'blu')
				)
			)
		);

		$panel_404_options = blu_elated_add_admin_panel(array(
			'page' => '__404_error_page',
			'name'	=> 'panel_404_options',
			'title'	=> esc_html__('404 Page Options', 'blu')
		));

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_options,
				'type' => 'color',
				'name' => '404_page_background_color',
				'label' => esc_html__('Background Color', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_options,
				'type' => 'image',
				'name' => '404_page_background_image',
				'label' => esc_html__('Background Image', 'blu'),
				'description' => esc_html__('Choose a background image for 404 page', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_options,
				'type' => 'image',
				'name' => '404_page_background_pattern_image',
				'label' => esc_html__('Pattern Background Image', 'blu'),
				'description' => esc_html__('Choose a pattern image for 404 page', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_options,
				'type' => 'image',
				'name' => '404_page_title_image',
				'label' => esc_html__('Title Image', 'blu'),
				'description' => esc_html__('Choose a background image for displaying above 404 page Title', 'blu')
			)
		);

		blu_elated_add_admin_field(array(
			'parent' => $panel_404_options,
			'type' => 'text',
			'name' => '404_title',
			'default_value' => '',
			'label' => esc_html__('Title', 'blu'),
			'description' => esc_html__('Enter title for 404 page. Default label is "404".', 'blu')
		));

		$first_level_group = blu_elated_add_admin_group(
			array(
				'parent' => $panel_404_options,
				'name' => 'first_level_group',
				'title' => esc_html__('Title Style', 'blu'),
				'description' => esc_html__('Define styles for 404 page title', 'blu')
			)
		);

		$first_level_row1 = blu_elated_add_admin_row(
			array(
				'parent' => $first_level_group,
				'name' => 'first_level_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row1,
				'type' => 'colorsimple',
				'name' => '404_title_color',
				'default_value' => '',
				'label' => esc_html__('Text Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row1,
				'type' => 'fontsimple',
				'name' => '404_title_google_fonts',
				'default_value' => '-1',
				'label' => esc_html__('Font Family', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row1,
				'type' => 'textsimple',
				'name' => '404_title_fontsize',
				'default_value' => '',
				'label' => esc_html__('Font Size', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row1,
				'type' => 'textsimple',
				'name' => '404_title_lineheight',
				'default_value' => '',
				'label' => esc_html__('Line Height', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$first_level_row2 = blu_elated_add_admin_row(
			array(
				'parent' => $first_level_group,
				'name' => 'first_level_row2',
				'next' => true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_title_fontstyle',
				'default_value' => '',
				'label' => esc_html__('Font Style', 'blu'),
				'options' => blu_elated_get_font_style_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_title_fontweight',
				'default_value' => '',
				'label' => esc_html__('Font Weight', 'blu'),
				'options' => blu_elated_get_font_weight_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row2,
				'type' => 'textsimple',
				'name' => '404_title_letterspacing',
				'default_value' => '',
				'label' => esc_html__('Letter Spacing', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_title_texttransform',
				'default_value' => '',
				'label' => esc_html__('Text Transform', 'blu'),
				'options' => blu_elated_get_text_transform_array()
			)
		);

		blu_elated_add_admin_field(array(
			'parent' => $panel_404_options,
			'type' => 'text',
			'name' => '404_subtitle',
			'default_value' => '',
			'label' => esc_html__('Subtitle', 'blu'),
			'description' => esc_html__('Enter subtitle for 404 page. Default label is "PAGE NOT FOUND".', 'blu')
		));

		$second_level_group = blu_elated_add_admin_group(
			array(
				'parent' => $panel_404_options,
				'name' => 'second_level_group',
				'title' => esc_html__('Subtitle Style', 'blu'),
				'description' => esc_html__('Define styles for 404 page subtitle', 'blu')
			)
		);

		$second_level_row1 = blu_elated_add_admin_row(
			array(
				'parent' => $second_level_group,
				'name' => 'second_level_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row1,
				'type' => 'colorsimple',
				'name' => '404_subtitle_color',
				'default_value' => '',
				'label' => esc_html__('Text Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row1,
				'type' => 'fontsimple',
				'name' => '404_subtitle_google_fonts',
				'default_value' => '-1',
				'label' => esc_html__('Font Family', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row1,
				'type' => 'textsimple',
				'name' => '404_subtitle_fontsize',
				'default_value' => '',
				'label' => esc_html__('Font Size', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row1,
				'type' => 'textsimple',
				'name' => '404_subtitle_lineheight',
				'default_value' => '',
				'label' => esc_html__('Line Height', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$second_level_row2 = blu_elated_add_admin_row(
			array(
				'parent' => $second_level_group,
				'name' => 'second_level_row2',
				'next' => true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_subtitle_fontstyle',
				'default_value' => '',
				'label' => esc_html__('Font Style', 'blu'),
				'options' => blu_elated_get_font_style_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_subtitle_fontweight',
				'default_value' => '',
				'label' => esc_html__('Font Weight', 'blu'),
				'options' => blu_elated_get_font_weight_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row2,
				'type' => 'textsimple',
				'name' => '404_subtitle_letterspacing',
				'default_value' => '',
				'label' => esc_html__('Letter Spacing', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_subtitle_texttransform',
				'default_value' => '',
				'label' => esc_html__('Text Transform', 'blu'),
				'options' => blu_elated_get_text_transform_array()
			)
		);

		blu_elated_add_admin_field(array(
			'parent' => $panel_404_options,
			'type' => 'text',
			'name' => '404_text',
			'default_value' => '',
			'label' => esc_html__('Text', 'blu'),
			'description' => esc_html__('Enter text for 404 page.', 'blu')
		));

		$third_level_group = blu_elated_add_admin_group(
			array(
				'parent' => $panel_404_options,
				'name' => '$third_level_group',
				'title' => esc_html__('Text Style', 'blu'),
				'description' => esc_html__('Define styles for 404 page text', 'blu')
			)
		);

		$third_level_row1 = blu_elated_add_admin_row(
			array(
				'parent' => $third_level_group,
				'name' => '$third_level_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row1,
				'type' => 'colorsimple',
				'name' => '404_text_color',
				'default_value' => '',
				'label' => esc_html__('Text Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row1,
				'type' => 'fontsimple',
				'name' => '404_text_google_fonts',
				'default_value' => '-1',
				'label' => esc_html__('Font Family', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row1,
				'type' => 'textsimple',
				'name' => '404_text_fontsize',
				'default_value' => '',
				'label' => esc_html__('Font Size', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row1,
				'type' => 'textsimple',
				'name' => '404_text_lineheight',
				'default_value' => '',
				'label' => esc_html__('Line Height', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$third_level_row2 = blu_elated_add_admin_row(
			array(
				'parent' => $third_level_group,
				'name' => '$third_level_row2',
				'next' => true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_text_fontstyle',
				'default_value' => '',
				'label' => esc_html__('Font Style', 'blu'),
				'options' => blu_elated_get_font_style_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_text_fontweight',
				'default_value' => '',
				'label' => esc_html__('Font Weight', 'blu'),
				'options' => blu_elated_get_font_weight_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row2,
				'type' => 'textsimple',
				'name' => '404_text_letterspacing',
				'default_value' => '',
				'label' => esc_html__('Letter Spacing', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_row2,
				'type' => 'selectblanksimple',
				'name' => '404_text_texttransform',
				'default_value' => '',
				'label' => esc_html__('Text Transform', 'blu'),
				'options' => blu_elated_get_text_transform_array()
			)
		);

		blu_elated_add_admin_field(array(
			'parent' => $panel_404_options,
			'type' => 'text',
			'name' => '404_back_to_home',
			'label' => esc_html__('Back to Home Button Label', 'blu'),
			'description' => esc_html__('Enter label for "BACK TO HOME" button', 'blu')
		));

		blu_elated_add_admin_field(
			array(
				'parent' => $panel_404_options,
				'type' => 'select',
				'name' => '404_button_style',
				'default_value' => '',
				'label' => esc_html__('Button Skin', 'blu'),
				'description' => esc_html__('Choose a style to make Back to Home button in that predefined style', 'blu'),
				'options' => array(
					'' => esc_html__('Default', 'blu'),
					'light-button' => esc_html__('Light', 'blu'),
					'dark-button' => esc_html__('Dark', 'blu')
				)
			)
		);
	}

	add_action( 'blu_elated_options_map', 'blu_elated_error_404_options_map', 14);
}