<?php

if(!function_exists('blu_elated_footer_top_general_styles')) {
    /**
     * Generates general custom styles for footer top area
     */
    function blu_elated_footer_top_general_styles() {
        $item_styles = array();

        if(blu_elated_options()->getOptionValue('footer_top_background_color')) {
            $item_styles['background-color'] = blu_elated_options()->getOptionValue('footer_top_background_color');
        }

        echo blu_elated_dynamic_css('footer .eltdf-footer-top-holder', $item_styles);
    }

    add_action('blu_elated_style_dynamic', 'blu_elated_footer_top_general_styles');
}

if(!function_exists('blu_elated_footer_bottom_general_styles')) {
    /**
     * Generates general custom styles for footer bottom area
     */
    function blu_elated_footer_bottom_general_styles() {
        $item_styles = array();
        if(blu_elated_options()->getOptionValue('footer_bottom_height') !== '') {
            $item_styles['height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('footer_bottom_height')).'px';
        }

        if(blu_elated_options()->getOptionValue('footer_bottom_background_color')) {
            $item_styles['background-color'] = blu_elated_options()->getOptionValue('footer_bottom_background_color');
        }

        if(blu_elated_options()->getOptionValue('footer_bottom_border_top_color')) {
            $item_styles['border-top'] = '1px solid '.blu_elated_options()->getOptionValue('footer_bottom_border_top_color');
        }

        echo blu_elated_dynamic_css('footer .eltdf-footer-bottom-holder', $item_styles);
    }

    add_action('blu_elated_style_dynamic', 'blu_elated_footer_bottom_general_styles');
}