<?php

if (!function_exists('blu_elated_get_footer_classes')) {
	/**
	 * Return all footer classes
	 *
	 * @param $page_id
	 * @return string|void
	 */
	function blu_elated_get_footer_classes($page_id) {

		$footer_classes                     = '';
		$footer_classes_array               = array();

		if(get_post_meta($page_id, 'eltdf_disable_footer_meta', true) == 'yes'){
			$footer_classes_array[] = 'eltdf-disable-footer';
		}

		//is some class added to footer classes array?
		if(is_array($footer_classes_array) && count($footer_classes_array)) {
			//concat all classes and prefix it with class attribute
			$footer_classes = esc_attr(implode(' ', $footer_classes_array));
		}

		return $footer_classes;
	}
}

if (!function_exists('blu_elated_footer_top_classes')) {
	/**
	 * Return classes for footer top
	 *
	 * @return string
	 */
	function blu_elated_footer_top_classes() {

		$footer_top_classes = array();

		if(blu_elated_options()->getOptionValue('footer_in_grid') != 'yes') {
			$footer_top_classes[] = 'eltdf-footer-top-full';
		}

		//footer aligment
		if(blu_elated_options()->getOptionValue('footer_top_columns_alignment') != '') {
			$footer_top_classes[] = 'eltdf-footer-top-alignment-'.blu_elated_options()->getOptionValue('footer_top_columns_alignment');
		}

		return implode(' ', $footer_top_classes);
	}
}

if (!function_exists('blu_elated_footer_bottom_classes')) {
	/**
	 * Return classes for footer bottom
	 *
	 * @return string
	 */
	function blu_elated_footer_bottom_classes() {

		$footer_bottom_classes = array();

		if(blu_elated_options()->getOptionValue('footer_in_grid') != 'yes') {
			$footer_bottom_classes[] = 'eltdf-footer-bottom-full';
		}

		//footer aligment
		if(blu_elated_options()->getOptionValue('footer_bottom_columns_alignment') != '') {
			$footer_bottom_classes[] = 'eltdf-footer-bottom-alignment-'.blu_elated_options()->getOptionValue('footer_bottom_columns_alignment');
		}

		return implode(' ', $footer_bottom_classes);
	}
}