<?php

if (!function_exists('blu_elated_fullscreen_menu_general_styles')) {

	function blu_elated_fullscreen_menu_general_styles()
	{
		$fullscreen_menu_background_color = '';
		if (blu_elated_options()->getOptionValue('fullscreen_alignment') !== '') {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu ul li, .eltdf-fullscreen-above-menu-widget-holder, .eltdf-fullscreen-below-menu-widget-holder', array(
				'text-align' => blu_elated_options()->getOptionValue('fullscreen_alignment')
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_background_color') !== '') {
			$fullscreen_menu_background_color = blu_elated_hex2rgb(blu_elated_options()->getOptionValue('fullscreen_menu_background_color'));
			if (blu_elated_options()->getOptionValue('fullscreen_menu_background_transparency') !== '') {
				$fullscreen_menu_background_transparency = blu_elated_options()->getOptionValue('fullscreen_menu_background_transparency');
			} else {
				$fullscreen_menu_background_transparency = 0.9;
			}
		}

		if ($fullscreen_menu_background_color !== '') {
			echo blu_elated_dynamic_css('.eltdf-fullscreen-menu-holder', array(
				'background-color' => 'rgba(' . $fullscreen_menu_background_color[0] . ',' . $fullscreen_menu_background_color[1] . ',' . $fullscreen_menu_background_color[2] . ',' . $fullscreen_menu_background_transparency . ')'
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_background_image') !== '') {
			echo blu_elated_dynamic_css('.eltdf-fullscreen-menu-holder', array(
				'background-image' => 'url(' . blu_elated_options()->getOptionValue('fullscreen_menu_background_image') . ')',
				'background-position' => 'center 0',
				'background-repeat' => 'no-repeat'
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_pattern_image') !== '') {
			echo blu_elated_dynamic_css('.eltdf-fullscreen-menu-holder', array(
				'background-image' => 'url(' . blu_elated_options()->getOptionValue('fullscreen_menu_pattern_image') . ')',
				'background-repeat' => 'repeat',
				'background-position' => '0 0'
			));
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_fullscreen_menu_general_styles');
}

if (!function_exists('blu_elated_fullscreen_menu_first_level_style')) {

	function blu_elated_fullscreen_menu_first_level_style()	{

		$first_menu_style = array();

		if (blu_elated_options()->getOptionValue('fullscreen_menu_color') !== '') {
			$first_menu_style['color'] = blu_elated_options()->getOptionValue('fullscreen_menu_color');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_google_fonts') !== '-1') {
			$first_menu_style['font-family'] = blu_elated_get_formatted_font_family(blu_elated_options()->getOptionValue('fullscreen_menu_google_fonts')) . ',sans-serif';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontsize') !== '') {
			$first_menu_style['font-size'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_fontsize')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_lineheight') !== '') {
			$first_menu_style['line-height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_lineheight')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontstyle') !== '') {
			$first_menu_style['font-style'] = blu_elated_options()->getOptionValue('fullscreen_menu_fontstyle');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontweight') !== '') {
			$first_menu_style['font-weight'] = blu_elated_options()->getOptionValue('fullscreen_menu_fontweight');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_letterspacing') !== '') {
			$first_menu_style['letter-spacing'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_letterspacing')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_texttransform') !== '') {
			$first_menu_style['text-transform'] = blu_elated_options()->getOptionValue('fullscreen_menu_texttransform');
		}

		if (!empty($first_menu_style)) {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu > ul > li > a', $first_menu_style);
		}

		$first_menu_hover_style = array();

		if (blu_elated_options()->getOptionValue('fullscreen_menu_hover_color') !== '') {
			$first_menu_hover_style['color'] = blu_elated_options()->getOptionValue('fullscreen_menu_hover_color');
		}

		if (!empty($first_menu_hover_style)) {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu > ul > li > a:hover', $first_menu_hover_style);
		}

		$first_menu_active_style = array();

		if (blu_elated_options()->getOptionValue('fullscreen_menu_active_color') !== '') {
			$first_menu_active_style['color'] = blu_elated_options()->getOptionValue('fullscreen_menu_active_color');
		}

		if (!empty($first_menu_active_style)) {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu > ul > li.eltdf-active-item > a', $first_menu_active_style);
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_fullscreen_menu_first_level_style');
}

if (!function_exists('blu_elated_fullscreen_menu_second_level_style')) {

	function blu_elated_fullscreen_menu_second_level_style() {
		$second_menu_style = array();
		if (blu_elated_options()->getOptionValue('fullscreen_menu_color_2nd') !== '') {
			$second_menu_style['color'] = blu_elated_options()->getOptionValue('fullscreen_menu_color_2nd');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_google_fonts_2nd') !== '-1') {
			$second_menu_style['font-family'] = blu_elated_get_formatted_font_family(blu_elated_options()->getOptionValue('fullscreen_menu_google_fonts_2nd')) . ',sans-serif';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontsize_2nd') !== '') {
			$second_menu_style['font-size'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_fontsize_2nd')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_lineheight_2nd') !== '') {
			$second_menu_style['line-height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_lineheight_2nd')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontstyle_2nd') !== '') {
			$second_menu_style['font-style'] = blu_elated_options()->getOptionValue('fullscreen_menu_fontstyle_2nd');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontweight_2nd') !== '') {
			$second_menu_style['font-weight'] = blu_elated_options()->getOptionValue('fullscreen_menu_fontweight_2nd');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_letterspacing_2nd') !== '') {
			$second_menu_style['letter-spacing'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_letterspacing_2nd')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_texttransform_2nd') !== '') {
			$second_menu_style['text-transform'] = blu_elated_options()->getOptionValue('fullscreen_menu_texttransform_2nd');
		}

		if (!empty($second_menu_style)) {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu ul li ul li a', $second_menu_style);
		}

		$second_menu_hover_style = array();

		if (blu_elated_options()->getOptionValue('fullscreen_menu_hover_color_2nd') !== '') {
			$second_menu_hover_style['color'] = blu_elated_options()->getOptionValue('fullscreen_menu_hover_color_2nd');
		}

		if (!empty($second_menu_hover_style)) {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu ul li ul li a:hover, nav.eltdf-fullscreen-menu ul li ul li.current-menu-ancestor > a, nav.eltdf-fullscreen-menu ul li ul li.current-menu-item > a', $second_menu_hover_style);
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_fullscreen_menu_second_level_style');

}

if (!function_exists('blu_elated_fullscreen_menu_third_level_style')) {

	function blu_elated_fullscreen_menu_third_level_style()	{
		$third_menu_style = array();
		if (blu_elated_options()->getOptionValue('fullscreen_menu_color_3rd') !== '') {
			$third_menu_style['color'] = blu_elated_options()->getOptionValue('fullscreen_menu_color_3rd');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_google_fonts_3rd') !== '-1') {
			$third_menu_style['font-family'] = blu_elated_get_formatted_font_family(blu_elated_options()->getOptionValue('fullscreen_menu_google_fonts_3rd')) . ',sans-serif';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontsize_3rd') !== '') {
			$third_menu_style['font-size'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_fontsize_3rd')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_lineheight_3rd') !== '') {
			$third_menu_style['line-height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_lineheight_3rd')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontstyle_3rd') !== '') {
			$third_menu_style['font-style'] = blu_elated_options()->getOptionValue('fullscreen_menu_fontstyle_3rd');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_fontweight_3rd') !== '') {
			$third_menu_style['font-weight'] = blu_elated_options()->getOptionValue('fullscreen_menu_fontweight_3rd');
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_letterspacing_3rd') !== '') {
			$third_menu_style['letter-spacing'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_letterspacing_3rd')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_texttransform_3rd') !== '') {
			$third_menu_style['text-transform'] = blu_elated_options()->getOptionValue('fullscreen_menu_texttransform_3rd');
		}

		if (!empty($third_menu_style)) {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu ul li ul li ul li a', $third_menu_style);
		}

		$third_menu_hover_style = array();

		if (blu_elated_options()->getOptionValue('fullscreen_menu_hover_color_3rd') !== '') {
			$third_menu_hover_style['color'] = blu_elated_options()->getOptionValue('fullscreen_menu_hover_color_3rd');
		}

		if (!empty($third_menu_hover_style)) {
			echo blu_elated_dynamic_css('nav.eltdf-fullscreen-menu ul li ul li ul li a:hover, nav.eltdf-fullscreen-menu ul li ul li ul li.current-menu-ancestor > a, nav.eltdf-fullscreen-menu ul li ul li ul li.current-menu-item > a', $third_menu_hover_style);
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_fullscreen_menu_third_level_style');

}

if (!function_exists('blu_elated_fullscreen_menu_icon_styles')) {

	function blu_elated_fullscreen_menu_icon_styles() {

		if (blu_elated_options()->getOptionValue('fullscreen_menu_icon_color') !== '') {

			echo blu_elated_dynamic_css('.eltdf-fullscreen-menu-opener .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_icon_color')
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_icon_hover_color') !== '') {

			echo blu_elated_dynamic_css('.eltdf-fullscreen-menu-opener:hover .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_icon_hover_color')
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_light_icon_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-light-header .eltdf-page-header > div:not(.eltdf-sticky-header) .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened) .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-light-header.eltdf-header-style-on-scroll .eltdf-page-header .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened) .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-light-header .eltdf-top-bar .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened) .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_light_icon_color') . ' !important'
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_light_icon_hover_color') !== '') {

			echo blu_elated_dynamic_css('.eltdf-light-header .eltdf-page-header > div:not(.eltdf-sticky-header) .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened):hover .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-light-header.eltdf-header-style-on-scroll .eltdf-page-header .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened):hover .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-light-header .eltdf-top-bar .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened):hover .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_light_icon_hover_color') . ' !important'
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_dark_icon_color') !== '') {

			echo blu_elated_dynamic_css('.eltdf-dark-header .eltdf-page-header > div:not(.eltdf-sticky-header) .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened) .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-dark-header.eltdf-header-style-on-scroll .eltdf-page-header .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened) .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-dark-header .eltdf-top-bar .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened) .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_dark_icon_color') . ' !important'
			));
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_dark_icon_hover_color') !== '') {

			echo blu_elated_dynamic_css('.eltdf-dark-header .eltdf-page-header > div:not(.eltdf-sticky-header) .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened):hover .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-dark-header.eltdf-header-style-on-scroll .eltdf-page-header .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened):hover .eltdf-fm-lines .eltdf-fm-line,
			.eltdf-dark-header .eltdf-top-bar .eltdf-fullscreen-menu-opener:not(.eltdf-fm-opened):hover .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_dark_icon_hover_color') . ' !important'
			));
		}
		
		if (blu_elated_options()->getOptionValue('fullscreen_menu_close_icon_color') !== '') {
			
			echo blu_elated_dynamic_css('.eltdf-fullscreen-menu-opener.eltdf-fm-opened .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_close_icon_color')
			));
		}
		
		if (blu_elated_options()->getOptionValue('fullscreen_menu_close_icon_hover_color') !== '') {
			
			echo blu_elated_dynamic_css('.eltdf-fullscreen-menu-opener.eltdf-fm-opened:hover .eltdf-fm-lines .eltdf-fm-line', array(
				'background-color' => blu_elated_options()->getOptionValue('fullscreen_menu_close_icon_hover_color')
			));
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_fullscreen_menu_icon_styles');
}

if (!function_exists('blu_elated_fullscreen_menu_icon_spacing')) {

	function blu_elated_fullscreen_menu_icon_spacing() {

		$fullscreen_menu_icon_spacing = array();

		if (blu_elated_options()->getOptionValue('fullscreen_menu_icon_padding_left') !== '') {
			$fullscreen_menu_icon_spacing['padding-left'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_icon_padding_left')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_icon_padding_right') !== '') {
			$fullscreen_menu_icon_spacing['padding-right'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_icon_padding_right')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_icon_margin_left') !== '') {
			$fullscreen_menu_icon_spacing['margin-left'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_icon_margin_left')) . 'px';
		}

		if (blu_elated_options()->getOptionValue('fullscreen_menu_icon_margin_right') !== '') {
			$fullscreen_menu_icon_spacing['margin-right'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('fullscreen_menu_icon_margin_right')) . 'px';
		}

		if (!empty($fullscreen_menu_icon_spacing)) {
			echo blu_elated_dynamic_css('a.eltdf-fullscreen-menu-opener', $fullscreen_menu_icon_spacing);
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_fullscreen_menu_icon_spacing');
}