<?php

if ( ! function_exists('blu_elated_fullscreen_menu_options_map')) {

	function blu_elated_fullscreen_menu_options_map() {

		blu_elated_add_admin_page(
			array(
				'slug' => '_fullscreen_menu_page',
				'title' => esc_html__('Fullscreen Menu', 'blu'),
				'icon' => 'fa fa-th-large'
			)
		);

		$fullscreen_panel = blu_elated_add_admin_panel(
			array(
				'title' => esc_html__('Fullscreen Menu', 'blu'),
				'name' => 'fullscreen_menu',
				'page' => '_fullscreen_menu_page'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $fullscreen_panel,
				'type' => 'select',
				'name' => 'fullscreen_menu_animation_style',
				'default_value' => 'fade-push-text-right',
				'label' => esc_html__('Fullscreen Menu Overlay Animation', 'blu'),
				'description' => esc_html__('Choose animation type for fullscreen menu overlay', 'blu'),
				'options' => array(
					'fade-push-text-right' => esc_html__('Fade Push Text Right', 'blu'),
					'fade-push-text-top' => esc_html__('Fade Push Text Top', 'blu'),
					'fade-text-scaledown' => esc_html__('Fade Text Scaledown', 'blu')
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $fullscreen_panel,
				'type' => 'yesno',
				'name' => 'fullscreen_in_grid',
				'default_value' => 'no',
				'label' => esc_html__('Fullscreen Menu in Grid', 'blu'),
				'description' => esc_html__('Enabling this option will put fullscreen menu content in grid', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $fullscreen_panel,
				'type' => 'selectblank',
				'name' => 'fullscreen_alignment',
				'default_value' => '',
				'label' => esc_html__('Fullscreen Menu Alignment', 'blu'),
				'description' => esc_html__('Choose alignment for fullscreen menu content', 'blu'),
				'options' => array(
					'' => esc_html__('Default', 'blu'),
					'left' => esc_html__('Left', 'blu'),
					'center' => esc_html__('Center', 'blu'),
					'right' => esc_html__('Right', 'blu')
				)
			)
		);

		$background_group = blu_elated_add_admin_group(
			array(
				'parent' => $fullscreen_panel,
				'name' => 'background_group',
				'title' => esc_html__('Background', 'blu'),
				'description' => esc_html__('Select a background color and transparency for fullscreen menu (0 = fully transparent, 1 = opaque)', 'blu')
			)
		);

		$background_group_row = blu_elated_add_admin_row(
			array(
				'parent' => $background_group,
				'name' => 'background_group_row'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $background_group_row,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_background_color',
				'label' => esc_html__('Background Color', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $background_group_row,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_background_transparency',
				'label' => esc_html__('Background Transparency', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $fullscreen_panel,
				'type' => 'image',
				'name' => 'fullscreen_menu_background_image',
				'label' => esc_html__('Background Image', 'blu'),
				'description' => esc_html__('Choose a background image for fullscreen menu background', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $fullscreen_panel,
				'type' => 'image',
				'name' => 'fullscreen_menu_pattern_image',
				'label' => esc_html__('Pattern Background Image', 'blu'),
				'description' => esc_html__('Choose a pattern image for fullscreen menu background', 'blu')
			)
		);

		//1st level style group
		$first_level_style_group = blu_elated_add_admin_group(
			array(
				'parent' => $fullscreen_panel,
				'name' => 'first_level_style_group',
				'title' => esc_html__('1st Level Style', 'blu'),
				'description' => esc_html__('Define styles for 1st level in Fullscreen Menu', 'blu')
			)
		);

		$first_level_style_row1 = blu_elated_add_admin_row(
			array(
				'parent' => $first_level_style_group,
				'name' => 'first_level_style_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_color',
				'default_value' => '',
				'label' => esc_html__('Text Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_hover_color',
				'default_value' => '',
				'label' => esc_html__('Hover Text Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_active_color',
				'default_value' => '',
				'label' => esc_html__('Active Text Color', 'blu'),
			)
		);

		$first_level_style_row3 = blu_elated_add_admin_row(
			array(
				'parent' => $first_level_style_group,
				'name' => 'first_level_style_row3'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row3,
				'type' => 'fontsimple',
				'name' => 'fullscreen_menu_google_fonts',
				'default_value' => '-1',
				'label' => esc_html__('Font Family', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row3,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_fontsize',
				'default_value' => '',
				'label' => esc_html__('Font Size', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row3,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_lineheight',
				'default_value' => '',
				'label' => esc_html__('Line Height', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$first_level_style_row4 = blu_elated_add_admin_row(
			array(
				'parent' => $first_level_style_group,
				'name' => 'first_level_style_row4'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row4,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_fontstyle',
				'default_value' => '',
				'label' => esc_html__('Font Style', 'blu'),
				'options' => blu_elated_get_font_style_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row4,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_fontweight',
				'default_value' => '',
				'label' => esc_html__('Font Weight', 'blu'),
				'options' => blu_elated_get_font_weight_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row4,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_letterspacing',
				'default_value' => '',
				'label' => esc_html__('Lettert Spacing', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $first_level_style_row4,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_texttransform',
				'default_value' => '',
				'label' => esc_html__('Text Transform', 'blu'),
				'options' => blu_elated_get_text_transform_array()
			)
		);

		//2nd level style group
		$second_level_style_group = blu_elated_add_admin_group(
			array(
				'parent' => $fullscreen_panel,
				'name' => 'second_level_style_group',
				'title' => esc_html__('2nd Level Style', 'blu'),
				'description' => esc_html__('Define styles for 2nd level in Fullscreen Menu', 'blu')
			)
		);

		$second_level_style_row1 = blu_elated_add_admin_row(
			array(
				'parent' => $second_level_style_group,
				'name' => 'second_level_style_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_color_2nd',
				'default_value' => '',
				'label' => esc_html__('Text Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_hover_color_2nd',
				'default_value' => '',
				'label' => esc_html__('Hover/Active Text Color', 'blu'),
			)
		);

		$second_level_style_row2 = blu_elated_add_admin_row(
			array(
				'parent' => $second_level_style_group,
				'name' => 'second_level_style_row2'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row2,
				'type' => 'fontsimple',
				'name' => 'fullscreen_menu_google_fonts_2nd',
				'default_value' => '-1',
				'label' => esc_html__('Font Family', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row2,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_fontsize_2nd',
				'default_value' => '',
				'label' => esc_html__('Font Size', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row2,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_lineheight_2nd',
				'default_value' => '',
				'label' => esc_html__('Line Height', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$second_level_style_row3 = blu_elated_add_admin_row(
			array(
				'parent' => $second_level_style_group,
				'name' => 'second_level_style_row3'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row3,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_fontstyle_2nd',
				'default_value' => '',
				'label' => esc_html__('Font Style', 'blu'),
				'options' => blu_elated_get_font_style_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row3,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_fontweight_2nd',
				'default_value' => '',
				'label' => esc_html__('Font Weight', 'blu'),
				'options' => blu_elated_get_font_weight_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row3,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_letterspacing_2nd',
				'default_value' => '',
				'label' => esc_html__('Lettert Spacing', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $second_level_style_row3,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_texttransform_2nd',
				'default_value' => '',
				'label' => esc_html__('Text Transform', 'blu'),
				'options' => blu_elated_get_text_transform_array()
			)
		);

		$third_level_style_group = blu_elated_add_admin_group(
			array(
				'parent' => $fullscreen_panel,
				'name' => 'third_level_style_group',
				'title' => esc_html__('3rd Level Style', 'blu'),
				'description' => esc_html__('Define styles for 3rd level in Fullscreen Menu', 'blu')
			)
		);

		$third_level_style_row1 = blu_elated_add_admin_row(
			array(
				'parent' => $third_level_style_group,
				'name' => 'third_level_style_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_color_3rd',
				'default_value' => '',
				'label' => esc_html__('Text Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_hover_color_3rd',
				'default_value' => '',
				'label' => esc_html__('Hover/Active Text Color', 'blu'),
			)
		);

		$third_level_style_row2 = blu_elated_add_admin_row(
			array(
				'parent' => $third_level_style_group,
				'name' => 'second_level_style_row2'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row2,
				'type' => 'fontsimple',
				'name' => 'fullscreen_menu_google_fonts_3rd',
				'default_value' => '-1',
				'label' => esc_html__('Font Family', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row2,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_fontsize_3rd',
				'default_value' => '',
				'label' => esc_html__('Font Size', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row2,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_lineheight_3rd',
				'default_value' => '',
				'label' => esc_html__('Line Height', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		$third_level_style_row3 = blu_elated_add_admin_row(
			array(
				'parent' => $third_level_style_group,
				'name' => 'second_level_style_row3'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row3,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_fontstyle_3rd',
				'default_value' => '',
				'label' => esc_html__('Font Style', 'blu'),
				'options' => blu_elated_get_font_style_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row3,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_fontweight_3rd',
				'default_value' => '',
				'label' => esc_html__('Font Weight', 'blu'),
				'options' => blu_elated_get_font_weight_array()
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row3,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_letterspacing_3rd',
				'default_value' => '',
				'label' => esc_html__('Lettert Spacing', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $third_level_style_row3,
				'type' => 'selectblanksimple',
				'name' => 'fullscreen_menu_texttransform_3rd',
				'default_value' => '',
				'label' => esc_html__('Text Transform', 'blu'),
				'options' => blu_elated_get_text_transform_array()
			)
		);

		$icon_colors_group = blu_elated_add_admin_group(
			array(
				'parent' => $fullscreen_panel,
				'name' => 'fullscreen_menu_icon_colors_group',
				'title' => esc_html__('Full Screen Menu Icon Style', 'blu'),
				'description' => esc_html__('Define styles for Fullscreen Menu Icon', 'blu')
			)
		);

		$icon_colors_row1 = blu_elated_add_admin_row(
			array(
				'parent' => $icon_colors_group,
				'name' => 'icon_colors_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_icon_color',
				'label' => esc_html__('Color', 'blu'),
			)
		);
		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row1,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_icon_hover_color',
				'label' => esc_html__('Hover Color', 'blu'),
			)
		);
		
		$icon_colors_row2 = blu_elated_add_admin_row(
			array(
				'parent' => $icon_colors_group,
				'name' => 'icon_colors_row2',
				'next' => true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row2,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_light_icon_color',
				'label' => esc_html__('Light Menu Icon Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row2,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_light_icon_hover_color',
				'label' => esc_html__('Light Menu Icon Hover Color', 'blu'),
			)
		);

		$icon_colors_row3 = blu_elated_add_admin_row(
			array(
				'parent' => $icon_colors_group,
				'name' => 'icon_colors_row3',
				'next' => true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row3,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_dark_icon_color',
				'label' => esc_html__('Dark Menu Icon Color', 'blu'),
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row3,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_dark_icon_hover_color',
				'label' => esc_html__('Dark Menu Icon Hover Color', 'blu'),
			)
		);
		
		$icon_colors_row4 = blu_elated_add_admin_row(
			array(
				'parent' => $icon_colors_group,
				'name' => 'icon_colors_row4'
			)
		);
		
		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row4,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_close_icon_color',
				'label' => esc_html__('Close Icon Color', 'blu'),
			)
		);
		blu_elated_add_admin_field(
			array(
				'parent' => $icon_colors_row4,
				'type' => 'colorsimple',
				'name' => 'fullscreen_menu_close_icon_hover_color',
				'label' => esc_html__('Close Icon Hover Color', 'blu'),
			)
		);

		$icon_spacing_group = blu_elated_add_admin_group(
			array(
				'parent' => $fullscreen_panel,
				'name' => 'icon_spacing_group',
				'title' => esc_html__('Full Screen Menu Icon Spacing', 'blu'),
				'description' => esc_html__('Define padding and margin for full screen menu icon', 'blu')
			)
		);

		$icon_spacing_row = blu_elated_add_admin_row(
			array(
				'parent' => $icon_spacing_group,
				'name' => 'icon_spacing_row'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_icon_padding_left',
				'default_value' => '',
				'label' => esc_html__('Padding Left', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_icon_padding_right',
				'default_value' => '',
				'label' => esc_html__('Padding Right', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_icon_margin_left',
				'default_value' => '',
				'label' => esc_html__('Margin Left', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'fullscreen_menu_icon_margin_right',
				'default_value' => '',
				'label' => esc_html__('Margin Right', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);
	}

	add_action('blu_elated_options_map', 'blu_elated_fullscreen_menu_options_map', 8);
}