<?php

if(!function_exists('blu_elated_mobile_header_general_styles')) {
    /**
     * Generates general custom styles for mobile header
     */
    function blu_elated_mobile_header_general_styles() {
        $mobile_header_styles = array();
        if(blu_elated_options()->getOptionValue('mobile_header_height') !== '') {
            $mobile_header_styles['height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_header_height')).'px';
        }

        if(blu_elated_options()->getOptionValue('mobile_header_background_color')) {
            $mobile_header_styles['background-color'] = blu_elated_options()->getOptionValue('mobile_header_background_color');
        }

        if(blu_elated_options()->getOptionValue('mobile_header_border_bottom_color')) {
            $mobile_header_styles['border-color'] = blu_elated_options()->getOptionValue('mobile_header_border_bottom_color');
        }

        echo blu_elated_dynamic_css('.eltdf-mobile-header .eltdf-mobile-header-inner', $mobile_header_styles);
    }

    add_action('blu_elated_style_dynamic', 'blu_elated_mobile_header_general_styles');
}

if(!function_exists('blu_elated_mobile_navigation_styles')) {
    /**
     * Generates styles for mobile navigation
     */
    function blu_elated_mobile_navigation_styles() {
        $mobile_nav_styles = array();
        if(blu_elated_options()->getOptionValue('mobile_menu_background_color')) {
            $mobile_nav_styles['background-color'] = blu_elated_options()->getOptionValue('mobile_menu_background_color');
        }

        if(blu_elated_options()->getOptionValue('mobile_menu_border_bottom_color')) {
            $mobile_nav_styles['border-color'] = blu_elated_options()->getOptionValue('mobile_menu_border_bottom_color');
        }

        echo blu_elated_dynamic_css('.eltdf-mobile-header .eltdf-mobile-nav', $mobile_nav_styles);

        $mobile_nav_item_styles = array();
        if(blu_elated_options()->getOptionValue('mobile_menu_separator_color') !== '') {
            $mobile_nav_item_styles['border-bottom-color'] = blu_elated_options()->getOptionValue('mobile_menu_separator_color');
        }

        if(blu_elated_options()->getOptionValue('mobile_text_color') !== '') {
            $mobile_nav_item_styles['color'] = blu_elated_options()->getOptionValue('mobile_text_color');
        }

        if(blu_elated_is_font_option_valid(blu_elated_options()->getOptionValue('mobile_font_family'))) {
            $mobile_nav_item_styles['font-family'] = blu_elated_get_formatted_font_family(blu_elated_options()->getOptionValue('mobile_font_family'));
        }

        if(blu_elated_options()->getOptionValue('mobile_font_size') !== '') {
            $mobile_nav_item_styles['font-size'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_font_size')).'px';
        }

        if(blu_elated_options()->getOptionValue('mobile_line_height') !== '') {
            $mobile_nav_item_styles['line-height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_line_height')).'px';
        }

        if(blu_elated_options()->getOptionValue('mobile_text_transform') !== '') {
            $mobile_nav_item_styles['text-transform'] = blu_elated_options()->getOptionValue('mobile_text_transform');
        }

        if(blu_elated_options()->getOptionValue('mobile_font_style') !== '') {
            $mobile_nav_item_styles['font-style'] = blu_elated_options()->getOptionValue('mobile_font_style');
        }

        if(blu_elated_options()->getOptionValue('mobile_font_weight') !== '') {
            $mobile_nav_item_styles['font-weight'] = blu_elated_options()->getOptionValue('mobile_font_weight');
        }

        $mobile_nav_item_selector = array(
            '.eltdf-mobile-header .eltdf-mobile-nav .eltdf-grid > ul > li > a',
            '.eltdf-mobile-header .eltdf-mobile-nav .eltdf-grid > ul > li > h5'
        );

        echo blu_elated_dynamic_css($mobile_nav_item_selector, $mobile_nav_item_styles);

        $mobile_nav_item_hover_styles = array();
        if(blu_elated_options()->getOptionValue('mobile_text_hover_color') !== '') {
            $mobile_nav_item_hover_styles['color'] = blu_elated_options()->getOptionValue('mobile_text_hover_color');
        }

        $mobile_nav_item_selector_hover = array(
            '.eltdf-mobile-header .eltdf-mobile-nav .eltdf-grid > ul > li.eltdf-active-item > a',
            '.eltdf-mobile-header .eltdf-mobile-nav .eltdf-grid > ul > li > a:hover',
            '.eltdf-mobile-header .eltdf-mobile-nav .eltdf-grid > ul > li > h5:hover'
        );

        echo blu_elated_dynamic_css($mobile_nav_item_selector_hover, $mobile_nav_item_hover_styles);

        $mobile_nav_dropdown_item_styles = array();
        if(blu_elated_options()->getOptionValue('mobile_menu_separator_color') !== '') {
            $mobile_nav_dropdown_item_styles['border-bottom-color'] = blu_elated_options()->getOptionValue('mobile_menu_separator_color');
        }

        if(blu_elated_options()->getOptionValue('mobile_dropdown_text_color') !== '') {
            $mobile_nav_dropdown_item_styles['color'] = blu_elated_options()->getOptionValue('mobile_dropdown_text_color');
        }

        if(blu_elated_is_font_option_valid(blu_elated_options()->getOptionValue('mobile_dropdown_font_family'))) {
            $mobile_nav_dropdown_item_styles['font-family'] = blu_elated_get_formatted_font_family(blu_elated_options()->getOptionValue('mobile_dropdown_font_family'));
        }

        if(blu_elated_options()->getOptionValue('mobile_dropdown_font_size') !== '') {
            $mobile_nav_dropdown_item_styles['font-size'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_dropdown_font_size')).'px';
        }

        if(blu_elated_options()->getOptionValue('mobile_dropdown_line_height') !== '') {
            $mobile_nav_dropdown_item_styles['line-height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_dropdown_line_height')).'px';
        }

        if(blu_elated_options()->getOptionValue('mobile_dropdown_text_transform') !== '') {
            $mobile_nav_dropdown_item_styles['text-transform'] = blu_elated_options()->getOptionValue('mobile_dropdown_text_transform');
        }

        if(blu_elated_options()->getOptionValue('mobile_dropdown_font_style') !== '') {
            $mobile_nav_dropdown_item_styles['font-style'] = blu_elated_options()->getOptionValue('mobile_dropdown_font_style');
        }

        if(blu_elated_options()->getOptionValue('mobile_dropdown_font_weight') !== '') {
            $mobile_nav_dropdown_item_styles['font-weight'] = blu_elated_options()->getOptionValue('mobile_dropdown_font_weight');
        }

        $mobile_nav_dropdown_item_selector = array(
            '.eltdf-mobile-header .eltdf-mobile-nav ul ul li a',
            '.eltdf-mobile-header .eltdf-mobile-nav ul ul li h5'
        );

        echo blu_elated_dynamic_css($mobile_nav_dropdown_item_selector, $mobile_nav_dropdown_item_styles);

        $mobile_nav_dropdown_item_hover_styles = array();
        if(blu_elated_options()->getOptionValue('mobile_dropdown_text_hover_color') !== '') {
            $mobile_nav_dropdown_item_hover_styles['color'] = blu_elated_options()->getOptionValue('mobile_dropdown_text_hover_color');
        }

        $mobile_nav_dropdown_item_selector_hover = array(
            '.eltdf-mobile-header .eltdf-mobile-nav ul ul li.current-menu-ancestor > a',
            '.eltdf-mobile-header .eltdf-mobile-nav ul ul li.current-menu-item > a',
            '.eltdf-mobile-header .eltdf-mobile-nav ul ul li a:hover',
            '.eltdf-mobile-header .eltdf-mobile-nav ul ul li h5:hover'
        );

        echo blu_elated_dynamic_css($mobile_nav_dropdown_item_selector_hover, $mobile_nav_dropdown_item_hover_styles);
    }

    add_action('blu_elated_style_dynamic', 'blu_elated_mobile_navigation_styles');
}

if(!function_exists('blu_elated_mobile_logo_styles')) {
    /**
     * Generates styles for mobile logo
     */
    function blu_elated_mobile_logo_styles() {
        if(blu_elated_options()->getOptionValue('mobile_logo_height') !== '') { ?>
            @media only screen and (max-width: 1024px) {
            <?php echo blu_elated_dynamic_css(
                '.eltdf-mobile-header .eltdf-mobile-logo-wrapper a',
                array('height' => blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_logo_height')).'px !important')
            ); ?>
            }
        <?php }

        if(blu_elated_options()->getOptionValue('mobile_logo_height_phones') !== '') { ?>
            @media only screen and (max-width: 480px) {
            <?php echo blu_elated_dynamic_css(
                '.eltdf-mobile-header .eltdf-mobile-logo-wrapper a',
                array('height' => blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_logo_height_phones')).'px !important')
            ); ?>
            }
        <?php }

        if(blu_elated_options()->getOptionValue('mobile_header_height') !== '') {
            $max_height = intval(blu_elated_filter_px(blu_elated_options()->getOptionValue('mobile_header_height'))).'px';
            echo blu_elated_dynamic_css('.eltdf-mobile-header .eltdf-mobile-logo-wrapper a', array('max-height' => $max_height));
        }
    }

    add_action('blu_elated_style_dynamic', 'blu_elated_mobile_logo_styles');
}

if(!function_exists('blu_elated_mobile_icon_styles')) {
    /**
     * Generates styles for mobile icon opener
     */
    function blu_elated_mobile_icon_styles() {
        $mobile_icon_styles = array();
	    $mobile_text_styles = array();
        if(blu_elated_options()->getOptionValue('mobile_icon_color') !== '') {
            $mobile_icon_styles['background-color'] = blu_elated_options()->getOptionValue('mobile_icon_color');
	        $mobile_text_styles['color'] = blu_elated_options()->getOptionValue('mobile_icon_color');
        }

        echo blu_elated_dynamic_css('.eltdf-mobile-header .eltdf-mobile-menu-opener a .eltdf-mo-lines .eltdf-mo-line', $mobile_icon_styles);
	    echo blu_elated_dynamic_css('.eltdf-mobile-header .eltdf-mobile-menu-opener a .eltdf-mobile-menu-text', $mobile_text_styles);

        if(blu_elated_options()->getOptionValue('mobile_icon_hover_color') !== '') {
            echo blu_elated_dynamic_css(
                '.eltdf-mobile-header .eltdf-mobile-menu-opener a:hover .eltdf-mo-lines .eltdf-mo-line',
                array('background-color' => blu_elated_options()->getOptionValue('mobile_icon_hover_color')));

	        echo blu_elated_dynamic_css(
		        '.eltdf-mobile-header .eltdf-mobile-menu-opener a:hover .eltdf-mobile-menu-text',
		        array('color' => blu_elated_options()->getOptionValue('mobile_icon_hover_color')));
        }
    }

    add_action('blu_elated_style_dynamic', 'blu_elated_mobile_icon_styles');
}