<?php

if ( ! function_exists('blu_elated_portfolio_options_map') ) {
	function blu_elated_portfolio_options_map() {

		blu_elated_add_admin_page(array(
			'slug'  => '_portfolio',
			'title' => esc_html__('Portfolio', 'blu'),
			'icon'  => 'fa fa-camera-retro'
		));

		$panel_archive = blu_elated_add_admin_panel(array(
			'title' => esc_html__('Portfolio Archive', 'blu'),
			'name'  => 'panel_portfolio_archive',
			'page'  => '_portfolio'
		));

		blu_elated_add_admin_field(array(
			'name'        => 'portfolio_archive_number_of_items',
			'type'        => 'text',
			'label'       => esc_html__('Number of Items', 'blu'),
			'description' => esc_html__('Set number of items for your portfolio list on archive pages. Default value is 12', 'blu'),
			'parent'      => $panel_archive,
			'args'        => array(
				'col_width' => 3
			)
		));

		blu_elated_add_admin_field(array(
			'name'        => 'portfolio_archive_number_of_columns',
			'type'        => 'select',
			'label'       => esc_html__('Number of Columns', 'blu'),
			'default_value' => '4',
			'description' => esc_html__('Set number of columns for your portfolio list on archive pages. Default value is 4 columns', 'blu'),
			'parent'      => $panel_archive,
			'options'     => array(
				'2' => esc_html__('2 Columns', 'blu'),
				'3' => esc_html__('3 Columns', 'blu'),
				'4' => esc_html__('4 Columns', 'blu'),
				'5' => esc_html__('5 Columns', 'blu')
			)
		));

		blu_elated_add_admin_field(array(
			'name'        => 'portfolio_archive_space_between_items',
			'type'        => 'select',
			'label'       => esc_html__('Space Between Items', 'blu'),
			'default_value' => 'normal',
			'description' => esc_html__('Set space size between portfolio items for your portfolio list on archive pages. Default value is normal', 'blu'),
			'parent'      => $panel_archive,
			'options'     => array(
				'no_space' => esc_html__('No Space', 'blu'),
				'small' => esc_html__('Small', 'blu'),
				'normal' => esc_html__('Normal', 'blu'),
				'large' => esc_html__('Large', 'blu')
			)
		));

		blu_elated_add_admin_field(array(
			'name'        => 'portfolio_archive_image_size',
			'type'        => 'select',
			'label'       => esc_html__('Image Proportions', 'blu'),
			'default_value' => 'landscape',
			'description' => esc_html__('Set image proportions for your portfolio list on archive pages. Default value is landscape', 'blu'),
			'parent'      => $panel_archive,
			'options'     => array(
				'full' => esc_html__('Original', 'blu'),
				'landscape' => esc_html__('Landscape', 'blu'),
				'portrait' => esc_html__('Portrait', 'blu'),
				'square' => esc_html__('Square', 'blu')
			)
		));

		$panel = blu_elated_add_admin_panel(array(
			'title' => esc_html__('Portfolio Single', 'blu'),
			'name'  => 'panel_portfolio_single',
			'page'  => '_portfolio'
		));

		blu_elated_add_admin_field(array(
			'name'        => 'portfolio_single_template',
			'type'        => 'select',
			'label'       => esc_html__('Portfolio Type', 'blu'),
			'default_value'	=> 'small-images',
			'description' => esc_html__('Choose a default type for Single Project pages', 'blu'),
			'parent'      => $panel,
			'options'     => array(
				'small-images' => esc_html__('Portfolio Small Images', 'blu'),
				'small-slider' => esc_html__('Portfolio Small Slider', 'blu'),
				'big-images' => esc_html__('Portfolio Big Images', 'blu'),
				'big-slider' => esc_html__('Portfolio Big Slider', 'blu'),
				'custom' => esc_html__('Portfolio Custom', 'blu'),
				'full-width-custom' => esc_html__('Portfolio Full Width Custom', 'blu'),
				'gallery' => esc_html__('Portfolio Gallery', 'blu')
			)
		));

		blu_elated_add_admin_field(array(
			'name'          => 'portfolio_single_lightbox_images',
			'type'          => 'yesno',
			'label'         => esc_html__('Lightbox for Images', 'blu'),
			'description'   => esc_html__('Enabling this option will turn on lightbox functionality for projects with images', 'blu'),
			'parent'        => $panel,
			'default_value' => 'yes'
		));

		blu_elated_add_admin_field(array(
			'name'          => 'portfolio_single_lightbox_videos',
			'type'          => 'yesno',
			'label'         => esc_html__('Lightbox for Videos', 'blu'),
			'description'   => esc_html__('Enabling this option will turn on lightbox functionality for YouTube/Vimeo projects', 'blu'),
			'parent'        => $panel,
			'default_value' => 'no'
		));

		blu_elated_add_admin_field(array(
			'name'          => 'portfolio_single_hide_categories',
			'type'          => 'yesno',
			'label'         => esc_html__('Hide Categories', 'blu'),
			'description'   => esc_html__('Enabling this option will disable category meta description on single projects', 'blu'),
			'parent'        => $panel,
			'default_value' => 'no'
		));

		blu_elated_add_admin_field(array(
			'name'          => 'portfolio_single_hide_date',
			'type'          => 'yesno',
			'label'         => esc_html__('Hide Date', 'blu'),
			'description'   => esc_html__('Enabling this option will disable date meta on single projects', 'blu'),
			'parent'        => $panel,
			'default_value' => 'no'
		));

		blu_elated_add_admin_field(array(
			'name'          => 'portfolio_single_comments',
			'type'          => 'yesno',
			'label'         => esc_html__('Show Comments', 'blu'),
			'description'   => esc_html__('Enabling this option will show comments on your page', 'blu'),
			'parent'        => $panel,
			'default_value' => 'no'
		));

		blu_elated_add_admin_field(array(
			'name'          => 'portfolio_single_sticky_sidebar',
			'type'          => 'yesno',
			'label'         => esc_html__('Sticky Side Text', 'blu'),
			'description'   => esc_html__('Enabling this option will make side text sticky on Single Project pages', 'blu'),
			'parent'        => $panel,
			'default_value' => 'yes'
		));

		blu_elated_add_admin_field(array(
			'name'          => 'portfolio_single_hide_pagination',
			'type'          => 'yesno',
			'label'         => esc_html__('Hide Pagination', 'blu'),
			'description'   => esc_html__('Enabling this option will turn off portfolio pagination functionality', 'blu'),
			'parent'        => $panel,
			'default_value' => 'no',
			'args' => array(
				'dependence' => true,
				'dependence_hide_on_yes' => '#eltdf_navigate_same_category_container'
			)
		));

		$container_navigate_category = blu_elated_add_admin_container(array(
			'name'            => 'navigate_same_category_container',
			'parent'          => $panel,
			'hidden_property' => 'portfolio_single_hide_pagination',
			'hidden_value'    => 'yes'
		));

		blu_elated_add_admin_field(array(
			'name'            => 'portfolio_single_nav_same_category',
			'type'            => 'yesno',
			'label'           => esc_html__('Enable Pagination Through Same Category', 'blu'),
			'description'     => esc_html__('Enabling this option will make portfolio pagination sort through current category', 'blu'),
			'parent'          => $container_navigate_category,
			'default_value'   => 'no'
		));

		blu_elated_add_admin_field(array(
			'name'        => 'portfolio_single_numb_columns',
			'type'        => 'select',
			'label'       => esc_html__('Number of Columns', 'blu'),
			'default_value' => 'three-columns',
			'description' => esc_html__('Enter the number of columns for portfolio gallery type', 'blu'),
			'parent'      => $panel,
			'options'     => array(
				'two-columns' => esc_html__('2 Columns', 'blu'),
				'three-columns' => esc_html__('3 Columns', 'blu'),
				'four-columns' => esc_html__('4 Columns', 'blu')
			)
		));

		blu_elated_add_admin_field(array(
			'name'        => 'portfolio_single_slug',
			'type'        => 'text',
			'label'       => esc_html__('Portfolio Single Slug', 'blu'),
			'description' => esc_html__('Enter if you wish to use a different Single Project slug (Note: After entering slug, navigate to Settings -> Permalinks and click "Save" in order for changes to take effect)', 'blu'),
			'parent'      => $panel,
			'args'        => array(
				'col_width' => 3
			)
		));
	}

	add_action( 'blu_elated_options_map', 'blu_elated_portfolio_options_map', 12);
}