<?php

if (!function_exists('blu_elated_search_opener_icon_size')) {

	function blu_elated_search_opener_icon_size() {

		if (blu_elated_options()->getOptionValue('header_search_icon_size')) {
			echo blu_elated_dynamic_css('.eltdf-search-opener', array(
				'font-size' => blu_elated_filter_px(blu_elated_options()->getOptionValue('header_search_icon_size')) . 'px'
			));
		}

	}

	add_action('blu_elated_style_dynamic', 'blu_elated_search_opener_icon_size');

}

if (!function_exists('blu_elated_search_opener_icon_colors')) {

	function blu_elated_search_opener_icon_colors() {

		if (blu_elated_options()->getOptionValue('header_search_icon_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-search-opener', array(
				'color' => blu_elated_options()->getOptionValue('header_search_icon_color')
			));
		}

		if (blu_elated_options()->getOptionValue('header_search_icon_hover_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-search-opener:hover', array(
				'color' => blu_elated_options()->getOptionValue('header_search_icon_hover_color')
			));
		}

		if (blu_elated_options()->getOptionValue('header_light_search_icon_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-light-header .eltdf-page-header > div:not(.eltdf-sticky-header):not(.fixed) .eltdf-search-opener, .eltdf-light-header .eltdf-top-bar .eltdf-search-opener', array(
				'color' => blu_elated_options()->getOptionValue('header_light_search_icon_color') . ' !important'
			));
		}

		if (blu_elated_options()->getOptionValue('header_light_search_icon_hover_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-light-header .eltdf-page-header > div:not(.eltdf-sticky-header):not(.fixed) .eltdf-search-opener:hover, .eltdf-light-header .eltdf-top-bar .eltdf-search-opener:hover', array(
				'color' => blu_elated_options()->getOptionValue('header_light_search_icon_hover_color') . ' !important'
			));
		}

		if (blu_elated_options()->getOptionValue('header_dark_search_icon_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-dark-header .eltdf-page-header > div:not(.eltdf-sticky-header):not(.fixed) .eltdf-search-opener, .eltdf-dark-header .eltdf-top-bar .eltdf-search-opener', array(
				'color' => blu_elated_options()->getOptionValue('header_dark_search_icon_color') . ' !important'
			));
		}
		if (blu_elated_options()->getOptionValue('header_dark_search_icon_hover_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-dark-header .eltdf-page-header > div:not(.eltdf-sticky-header):not(.fixed) .eltdf-search-opener:hover, .eltdf-dark-header .eltdf-top-bar .eltdf-search-opener:hover', array(
				'color' => blu_elated_options()->getOptionValue('header_dark_search_icon_hover_color') . ' !important'
			));
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_search_opener_icon_colors');

}

if (!function_exists('blu_elated_search_opener_icon_background_colors')) {

	function blu_elated_search_opener_icon_background_colors()	{

		if (blu_elated_options()->getOptionValue('search_icon_background_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-search-opener', array(
				'background-color' => blu_elated_options()->getOptionValue('search_icon_background_color')
			));
		}

		if (blu_elated_options()->getOptionValue('search_icon_background_hover_color') !== '') {
			echo blu_elated_dynamic_css('.eltdf-search-opener:hover', array(
				'background-color' => blu_elated_options()->getOptionValue('search_icon_background_hover_color')
			));
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_search_opener_icon_background_colors');
}

if (!function_exists('blu_elated_search_opener_text_styles')) {

	function blu_elated_search_opener_text_styles() {
		$text_styles = array();

		if (blu_elated_options()->getOptionValue('search_icon_text_color') !== '') {
			$text_styles['color'] = blu_elated_options()->getOptionValue('search_icon_text_color');
		}
		if (blu_elated_options()->getOptionValue('search_icon_text_fontsize') !== '') {
			$text_styles['font-size'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('search_icon_text_fontsize')) . 'px';
		}
		if (blu_elated_options()->getOptionValue('search_icon_text_lineheight') !== '') {
			$text_styles['line-height'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('search_icon_text_lineheight')) . 'px';
		}
		if (blu_elated_options()->getOptionValue('search_icon_text_texttransform') !== '') {
			$text_styles['text-transform'] = blu_elated_options()->getOptionValue('search_icon_text_texttransform');
		}
		if (blu_elated_options()->getOptionValue('search_icon_text_google_fonts') !== '-1') {
			$text_styles['font-family'] = blu_elated_get_formatted_font_family(blu_elated_options()->getOptionValue('search_icon_text_google_fonts')) . ', sans-serif';
		}
		if (blu_elated_options()->getOptionValue('search_icon_text_fontstyle') !== '') {
			$text_styles['font-style'] = blu_elated_options()->getOptionValue('search_icon_text_fontstyle');
		}
		if (blu_elated_options()->getOptionValue('search_icon_text_fontweight') !== '') {
			$text_styles['font-weight'] = blu_elated_options()->getOptionValue('search_icon_text_fontweight');
		}

		if (!empty($text_styles)) {
			echo blu_elated_dynamic_css('.eltdf-search-icon-text', $text_styles);
		}
		if (blu_elated_options()->getOptionValue('search_icon_text_color_hover') !== '') {
			echo blu_elated_dynamic_css('.eltdf-search-opener:hover .eltdf-search-icon-text', array(
				'color' => blu_elated_options()->getOptionValue('search_icon_text_color_hover')
			));
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_search_opener_text_styles');
}

if (!function_exists('blu_elated_search_opener_spacing')) {

	function blu_elated_search_opener_spacing() {
		$spacing_styles = array();

		if (blu_elated_options()->getOptionValue('search_padding_left') !== '') {
			$spacing_styles['padding-left'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('search_padding_left')) . 'px';
		}
		if (blu_elated_options()->getOptionValue('search_padding_right') !== '') {
			$spacing_styles['padding-right'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('search_padding_right')) . 'px';
		}
		if (blu_elated_options()->getOptionValue('search_margin_left') !== '') {
			$spacing_styles['margin-left'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('search_margin_left')) . 'px';
		}
		if (blu_elated_options()->getOptionValue('search_margin_right') !== '') {
			$spacing_styles['margin-right'] = blu_elated_filter_px(blu_elated_options()->getOptionValue('search_margin_right')) . 'px';
		}

		if (!empty($spacing_styles)) {
			echo blu_elated_dynamic_css('.eltdf-search-opener', $spacing_styles);
		}
	}

	add_action('blu_elated_style_dynamic', 'blu_elated_search_opener_spacing');
}