<?php

if( !function_exists('blu_elated_search_body_class') ) {
	/**
	 * Function that adds body classes for different search types
	 *
	 * @param $classes array original array of body classes
	 *
	 * @return array modified array of classes
	 */
	function blu_elated_search_body_class($classes) {

		if ( is_active_widget( false, false, 'eltdf_search_opener' ) ) {

			$classes[] = 'eltdf-fullscreen-search';

			$classes[] = 'eltdf-search-fade';
		}
		
		return $classes;
	}

	add_filter('body_class', 'blu_elated_search_body_class');
}

if ( ! function_exists('blu_elated_get_search') ) {
	/**
	 * Loads search HTML based on search type option.
	 */
	function blu_elated_get_search() {
		
		if ( blu_elated_active_widget( false, false, 'eltdf_search_opener' ) ) {
			
			blu_elated_load_search_template();
		}
	}
}

if ( ! function_exists('blu_elated_load_search_template') ) {
	/**
	 * Loads HTML template with parameters
	 */
	function blu_elated_load_search_template() {
		
		blu_elated_get_module_template_part('templates/fullscreen-search', 'search');
	}
}