<?php
namespace BluElatedNamespace\Modules\Shortcodes\ElementsHolderItem;

use BluElatedNamespace\Modules\Shortcodes\Lib\ShortcodeInterface;

class ElementsHolderItem implements ShortcodeInterface{
	private $base;

	function __construct() {
		$this->base = 'eltdf_elements_holder_item';
		add_action('vc_before_init', array($this, 'vcMap'));
	}
	public function getBase() {
		return $this->base;
	}
	
	public function vcMap() {
		if(function_exists('vc_map')){
			vc_map( 
				array(
					'name' => esc_html__('Elated Elements Holder Item', 'blu'),
					'base' => $this->base,
					'as_child' => array('only' => 'eltdf_elements_holder'),
					'as_parent' => array('except' => 'vc_row, vc_accordion'),
					'content_element' => true,
					'category' => esc_html__('by ELATED', 'blu'),
					'icon' => 'icon-wpb-elements-holder-item extended-custom-icon',
					'show_settings_on_create' => true,
					'js_view' => 'VcColumnView',
					'params' => array(
						array(
							'type'       => 'colorpicker',
							'param_name' => 'background_color',
							'heading'    => esc_html__('Background Color', 'blu')
						),
						array(
							'type'       => 'attach_image',
							'param_name' => 'background_image',
							'heading'    => esc_html__('Background Image', 'blu')
						),
						array(
							'type'        => 'textfield',
							'param_name'  => 'item_padding',
							'heading'     => esc_html__('Padding', 'blu'),
							'description' => esc_html__('Please insert padding in format 0px 10px 0px 10px', 'blu')
						),
						array(
							'type'       => 'dropdown',
							'param_name' => 'horizontal_aligment',
							'heading'    => esc_html__('Horizontal Alignment', 'blu'),
							'value'      => array(
								esc_html__('Left', 'blu')    	=> 'left',
								esc_html__('Right', 'blu')     => 'right',
								esc_html__('Center', 'blu')    => 'center'
							)
						),
						array(
							'type'       => 'dropdown',
							'param_name' => 'vertical_alignment',
							'heading'    => esc_html__('Vertical Alignment', 'blu'),
							'value'      => array(
								esc_html__('Middle', 'blu')    => 'middle',
								esc_html__('Top', 'blu')    	=> 'top',
								esc_html__('Bottom', 'blu')    => 'bottom'
							)
						),
                        array(
                            'type'        => 'textfield',
                            'param_name'  => 'item_padding_1280_1600',
                            'heading'     => esc_html__('Padding on screen size between 1280px-1600px', 'blu'),
                            'description' => esc_html__('Please insert padding in format 0px 10px 0px 10px', 'blu'),
                            'group'       => esc_html__('Width & Responsiveness', 'blu')
                        ),
						array(
							'type'        => 'textfield',
							'param_name'  => 'item_padding_1024_1280',
							'heading'     => esc_html__('Padding on screen size between 1024px-1280px', 'blu'),
							'description' => esc_html__('Please insert padding in format 0px 10px 0px 10px', 'blu'),
							'group'       => esc_html__('Width & Responsiveness', 'blu')
						),
						array(
							'type'        => 'textfield',
							'param_name'  => 'item_padding_768_1024',
							'heading'     => esc_html__('Padding on screen size between 768px-1024px', 'blu'),
							'description' => esc_html__('Please insert padding in format 0px 10px 0px 10px', 'blu'),
							'group'       => esc_html__('Width & Responsiveness', 'blu')
						),
						array(
							'type'        => 'textfield',
							'param_name'  => 'item_padding_600_768',
							'heading'     => esc_html__('Padding on screen size between 600px-768px', 'blu'),
							'description' => esc_html__('Please insert padding in format 0px 10px 0px 10px', 'blu'),
							'group'       => esc_html__('Width & Responsiveness', 'blu')
						),
						array(
							'type'        => 'textfield',
							'param_name'  => 'item_padding_480_600',
							'heading'     => esc_html__('Padding on screen size between 480px-600px', 'blu'),
							'description' => esc_html__('Please insert padding in format 0px 10px 0px 10px', 'blu'),
							'group'       => esc_html__('Width & Responsiveness', 'blu')
						),
						array(
							'type'        => 'textfield',
							'param_name'  => 'item_padding_480',
							'heading'     => esc_html__('Padding on Screen Size Bellow 480px', 'blu'),
							'description' => esc_html__('Please insert padding in format 0px 10px 0px 10px', 'blu'),
							'group'       => esc_html__('Width & Responsiveness', 'blu')
						),				
						array(
							'type'       => 'dropdown',
							'param_name' => 'animation',
							'heading'    => esc_html__('Animation Type', 'blu'),
							'value'      => array(
								esc_html__('No Animation', 'blu') => '',
								esc_html__('Element Fade In Down', 'blu') => 'eltdf-fade-in-down',
								esc_html__('Element From Fade', 'blu') => 'eltdf-element-from-fade',
								esc_html__('Element From Left', 'blu') => 'eltdf-element-from-left',
								esc_html__('Element From Right', 'blu') => 'eltdf-element-from-right',
								esc_html__('Element From Top', 'blu') => 'eltdf-element-from-top',
								esc_html__('Element From Bottom', 'blu') => 'eltdf-element-from-bottom',
								esc_html__('Element Flip In', 'blu') => 'eltdf-flip-in',
								esc_html__('Element X Rotate', 'blu') => 'eltdf-x-rotate',
								esc_html__('Element Z Rotate', 'blu') => 'eltdf-z-rotate',
								esc_html__('Element Y Translate', 'blu') => 'eltdf-y-translate',
								esc_html__('Element Fade In X Rotate', 'blu') => 'eltdf-fade-in-left-x-rotate',
							),
							'save_always' => true
						),
		                array(
		                    'type'       => 'textfield',
		                    'param_name' => 'animation_delay',
		                    'heading'    => esc_html__('Animation Delay (ms)', 'blu'),
		                    'dependency'  => array('element' => 'animation', 'not_empty' => true),
		                )
					)
				)
			);			
		}
	}

	public function render($atts, $content = null) {
		$args = array(
			'background_color' => '',
			'background_image' => '',
			'item_padding' => '',
			'horizontal_aligment' => '',
			'vertical_alignment' => '',
            'item_padding_1280_1600' => '',
			'item_padding_1024_1280' => '',
			'item_padding_768_1024' => '',
			'item_padding_600_768' => '',
			'item_padding_480_600' => '',
			'item_padding_480' => '',
			'animation' => '',
			'animation_delay' => ''
		);
		
		$params = shortcode_atts($args, $atts);
		extract($params);
		$params['content']= $content;

		$rand_class = 'eltdf-eh-custom-' . mt_rand(100000,1000000);

		$params['elements_holder_item_style'] = $this->getElementsHolderItemStyles($params);
		$params['elements_holder_item_content_style'] = $this->getElementsHolderItemContentStyles($params);
		$params['elements_holder_item_class'] = $this->getElementsHolderItemClass($params);
		$params['elements_holder_item_content_class'] = $rand_class;
		$params['elements_holder_item_responsive_data'] = $this->getElementsHolderItemContentResponsiveData($params);
		$params['elements_holder_item_animation_data'] = $this->getElementsHolderItemAnimationData($params);

		$html = blu_elated_get_shortcode_module_template_part('templates/elements-holder-item-template', 'elements-holder', '', $params);

		return $html;
	}
	
	/**
	 * Return Elements Holder Item style
	 *
	 * @param $params
	 * @return array
	 */
	private function getElementsHolderItemStyles($params) {
		$styles = array();

		if ($params['background_color'] !== '') {
			$styles[] = 'background-color: '.$params['background_color'];
		}
		
		if ($params['background_image'] !== '') {
			$styles[] = 'background-image: url(' . wp_get_attachment_url($params['background_image']) . ')';
		}

		return implode(';', $styles);
	}

	/**
	 * Return Elements Holder Item Content style
	 *
	 * @param $params
	 * @return array
	 */
	private function getElementsHolderItemContentStyles($params) {
		$styles = array();

		if ($params['item_padding'] !== '') {
			$styles[] = 'padding: '.$params['item_padding'];
		}

		return implode(';', $styles);
	}

	/**
	 * Return Elements Holder Item classes
	 *
	 * @param $params
	 * @return array
	 */
	private function getElementsHolderItemClass($params) {

		$element_holder_item_class = array();

		if ($params['vertical_alignment'] !== '') {
			$element_holder_item_class[] = 'eltdf-vertical-alignment-'. $params['vertical_alignment'];
		}

		if ($params['horizontal_aligment'] !== '') {
			$element_holder_item_class[] = 'eltdf-horizontal-alignment-'. $params['horizontal_aligment'];
		}

		if ($params['animation'] !== '') {
			$element_holder_item_class[] = $params['animation'];
		}
		
		return implode(' ', $element_holder_item_class);
	}

	/**
	 * Return Elements Holder Item Content Responssive data
	 *
	 * @param $params
	 * @return array
	 */
	private function getElementsHolderItemContentResponsiveData($params) {
		$data = array();
		$data['data-item-class'] = $params['elements_holder_item_content_class'];

		if ($params['item_padding_1280_1600'] !== '') {
			$data['data-1280-1600'] = $params['item_padding_1280_1600'];
		}

		if ($params['item_padding_1024_1280'] !== '') {
			$data['data-1024-1280'] = $params['item_padding_1024_1280'];
		}

		if ($params['item_padding_768_1024'] !== '') {
			$data['data-768-1024'] = $params['item_padding_768_1024'];
		}

		if ($params['item_padding_600_768'] !== '') {
			$data['data-600-768'] = $params['item_padding_600_768'];
		}

		if ($params['item_padding_480_600'] !== '') {
			$data['data-480-600'] = $params['item_padding_480_600'];
		}

		if ($params['item_padding_480'] !== '') {
			$data['data-480'] = $params['item_padding_480'];
		}

		return $data;
	}

	/**
	 * Return Elements Holder Item Content Responssive data
	 *
	 * @param $params
	 * @return array
	 */
	private function getElementsHolderItemAnimationData($params) {
		$data = array();

		if ($params['animation'] !== '') {
			$data['data-animation'] = $params['animation'];
		}

		if ($params['animation_delay'] !== ''){
			$data['data-animation-delay'] = $params['animation_delay'];
		}

		return $data;
	}
}
