<?php

if ( ! function_exists('blu_elated_sidearea_options_map') ) {

	function blu_elated_sidearea_options_map() {

		blu_elated_add_admin_page(
			array(
				'slug' => '_side_area_page',
				'title' => esc_html__('Side Area', 'blu'),
				'icon' => 'fa fa-indent'
			)
		);

		$side_area_panel = blu_elated_add_admin_panel(
			array(
				'title' => esc_html__('Side Area', 'blu'),
				'name' => 'side_area',
				'page' => '_side_area_page'
			)
		);

		$side_area_icon_style_group = blu_elated_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'side_area_icon_style_group',
				'title' => esc_html__('Side Area Icon Style', 'blu'),
				'description' => esc_html__('Define styles for Side Area icon', 'blu')
			)
		);

		$side_area_icon_style_row1 = blu_elated_add_admin_row(
			array(
				'parent'	=> $side_area_icon_style_group,
				'name'		=> 'side_area_icon_style_row1'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row1,
				'type' => 'colorsimple',
				'name' => 'side_area_icon_color',
				'label' => esc_html__('Color', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row1,
				'type' => 'colorsimple',
				'name' => 'side_area_icon_hover_color',
				'label' => esc_html__('Hover Color', 'blu')
			)
		);

		$side_area_icon_style_row2 = blu_elated_add_admin_row(
			array(
				'parent'	=> $side_area_icon_style_group,
				'name'		=> 'side_area_icon_style_row2',
				'next'		=> true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row2,
				'type' => 'colorsimple',
				'name' => 'side_area_light_icon_color',
				'label' => esc_html__('Light Menu Icon Color', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row2,
				'type' => 'colorsimple',
				'name' => 'side_area_light_icon_hover_color',
				'label' => esc_html__('Light Menu Icon Hover Color', 'blu')
			)
		);

		$side_area_icon_style_row3 = blu_elated_add_admin_row(
			array(
				'parent'	=> $side_area_icon_style_group,
				'name'		=> 'side_area_icon_style_row3',
				'next'		=> true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row3,
				'type' => 'colorsimple',
				'name' => 'side_area_dark_icon_color',
				'label' => esc_html__('Dark Menu Icon Color', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row3,
				'type' => 'colorsimple',
				'name' => 'side_area_dark_icon_hover_color',
				'label' => esc_html__('Dark Menu Icon Hover Color', 'blu')
			)
		);

		$side_area_icon_style_row4 = blu_elated_add_admin_row(
			array(
				'parent'	=> $side_area_icon_style_group,
				'name'		=> 'side_area_icon_style_row4'
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row4,
				'type' => 'colorsimple',
				'name' => 'side_area_close_icon_color',
				'label' => esc_html__('Close Icon Color', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_icon_style_row4,
				'type' => 'colorsimple',
				'name' => 'side_area_close_icon_hover_color',
				'label' => esc_html__('Close Icon Hover Color', 'blu')
			)
		);

		$icon_spacing_group = blu_elated_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'icon_spacing_group',
				'title' => esc_html__('Side Area Icon Spacing', 'blu'),
				'description' => esc_html__('Define padding and margin for side area icon', 'blu')
			)
		);

		$icon_spacing_row = blu_elated_add_admin_row(
			array(
				'parent'	=> $icon_spacing_group,
				'name'		=> 'icon_spancing_row',
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_padding_left',
				'label' => esc_html__('Padding Left', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_padding_right',
				'label' => esc_html__('Padding Right', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_margin_left',
				'label' => esc_html__('Margin Left', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $icon_spacing_row,
				'type' => 'textsimple',
				'name' => 'side_area_icon_margin_right',
				'label' => esc_html__('Margin Right', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'text',
				'name' => 'side_area_title',
				'default_value' => '',
				'label' => esc_html__('Side Area Title', 'blu'),
				'description' => esc_html__('Enter a title to appear in Side Area', 'blu'),
				'args' => array(
					'col_width' => 3,
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'text',
				'name' => 'side_area_width',
				'default_value' => '',
				'label' => esc_html__('Side Area Width', 'blu'),
				'description' => esc_html__('Enter a width for Side Area', 'blu'),
				'args' => array(
					'col_width' => 3,
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'color',
				'name' => 'side_area_background_color',
				'label' => esc_html__('Background Color', 'blu'),
				'description' => esc_html__('Choose a background color for Side Area', 'blu')
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $side_area_panel,
				'type' => 'selectblank',
				'name' => 'side_area_aligment',
				'default_value' => '',
				'label' => esc_html__('Text Alignment', 'blu'),
				'description' => esc_html__('Choose text alignment for side area', 'blu'),
				'options' => array(
					'' => esc_html__('Default', 'blu'),
					'left' => esc_html__('Left', 'blu'),
					'center' => esc_html__('Center', 'blu'),
					'right' => esc_html__('Right', 'blu')
				)
			)
		);

		$padding_group = blu_elated_add_admin_group(
			array(
				'parent' => $side_area_panel,
				'name' => 'padding_group',
				'title' => esc_html__('Padding', 'blu'),
				'description' => esc_html__('Define padding for Side Area', 'blu')
			)
		);

		$padding_row = blu_elated_add_admin_row(
			array(
				'parent' => $padding_group,
				'name' => 'padding_row',
				'next' => true
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_top',
				'label' => esc_html__('Top Padding', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_right',
				'label' => esc_html__('Right Padding', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_bottom',
				'label' => esc_html__('Bottom Padding', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);

		blu_elated_add_admin_field(
			array(
				'parent' => $padding_row,
				'type' => 'textsimple',
				'name' => 'side_area_padding_left',
				'label' => esc_html__('Left Padding', 'blu'),
				'args' => array(
					'suffix' => 'px'
				)
			)
		);
	}

	add_action('blu_elated_options_map', 'blu_elated_sidearea_options_map', 7);
}