<?php
class BluElatedClassSeparatorWidget extends BluElatedClassWidget {
    /**
     * Set basic widget options and call parent class construct
     */
    public function __construct() {
        parent::__construct(
            'eltdf_separator_widget',
	        esc_html__('Elated Separator Widget', 'blu'),
	        array( 'description' => esc_html__( 'Add a separator element to your widget areas', 'blu'))
        );

        $this->setParams();
    }

    /**
     * Sets widget options
     */
    protected function setParams() {
        $this->params = array(
            array(
                'type' => 'dropdown',
                'name' => 'type',
                'title' => esc_html__('Type', 'blu'),
                'options' => array(
                    'normal' => esc_html__('Normal', 'blu'),
                    'full-width' => esc_html__('Full Width', 'blu')
                )
            ),
            array(
                'type' => 'dropdown',
                'name' => 'position',
                'title' => esc_html__('Position', 'blu'),
                'options' => array(
                    'center' => esc_html__('Center', 'blu'),
                    'left' => esc_html__('Left', 'blu'),
                    'right' => esc_html__('Right', 'blu')
                )
            ),
            array(
                'type' => 'dropdown',
                'name' => 'border_style',
                'title' => esc_html__('Style', 'blu'),
                'options' => array(
                    'solid' => esc_html__('Solid', 'blu'),
                    'dashed' => esc_html__('Dashed', 'blu'),
                    'dotted' => esc_html__('Dotted', 'blu')
                )
            ),
            array(
                'type' => 'textfield',
                'name' => 'color',
                'title' => esc_html__('Color', 'blu')
            ),
            array(
                'type' => 'textfield',
                'name' => 'width',
                'title' => esc_html__('Width', 'blu')
            ),
            array(
                'type' => 'textfield',
                'name' => 'thickness',
                'title' => esc_html__('Thickness (px)', 'blu')
            ),
            array(
                'type' => 'textfield',
                'name' => 'top_margin',
                'title' => esc_html__('Top Margin', 'blu')
            ),
            array(
                'type' => 'textfield',
                'name' => 'bottom_margin',
                'title' => esc_html__('Bottom Margin', 'blu')
            )
        );
    }

    /**
     * Generates widget's HTML
     *
     * @param array $args args from widget area
     * @param array $instance widget's options
     */
    public function widget($args, $instance) {
        extract($args);

        //prepare variables
        $params = '';

        //is instance empty?
        if(is_array($instance) && count($instance)) {
            //generate shortcode params
            foreach($instance as $key => $value) {
                $params .= " $key='$value' ";
            }
        }

        echo '<div class="widget eltdf-separator-widget">';
	    
        echo do_shortcode("[eltdf_separator $params]"); // XSS OK

        echo '</div>';
    }
}