<?php

if(!function_exists('blu_elated_register_sidebars')) {
    /**
     * Function that registers theme's sidebars
     */
    function blu_elated_register_sidebars() {

        register_sidebar(array(
            'name' => esc_html__('Sidebar', 'blu'),
            'id' => 'sidebar',
            'description' => esc_html__('Default Sidebar', 'blu'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h4>',
            'after_title' => '</h4>'
        ));
    }

    add_action('widgets_init', 'blu_elated_register_sidebars');
}

if(!function_exists('blu_elated_add_support_custom_sidebar')) {
    /**
     * Function that adds theme support for custom sidebars. It also creates BluElatedClassSidebar object
     */
    function blu_elated_add_support_custom_sidebar() {
        add_theme_support('BluElatedClassSidebar');
        if (get_theme_support('BluElatedClassSidebar')) new BluElatedClassSidebar();
    }

    add_action('after_setup_theme', 'blu_elated_add_support_custom_sidebar');
}