<?php
namespace BluElatedNamespace\Modules\Shortcodes\Lib;

use BluElatedNamespace\Modules\Shortcodes\Accordion\Accordion;
use BluElatedNamespace\Modules\Shortcodes\AccordionTab\AccordionTab;
use BluElatedNamespace\Modules\Shortcodes\AnimationHolder\AnimationHolder;
use BluElatedNamespace\Modules\Shortcodes\Banner\Banner;
use BluElatedNamespace\Modules\Shortcodes\BlogList\BlogList;
use BluElatedNamespace\Modules\Shortcodes\Button\Button;
use BluElatedNamespace\Modules\Shortcodes\CallToAction\CallToAction;
use BluElatedNamespace\Modules\Shortcodes\ClientsBoxes\ClientsBoxes;
use BluElatedNamespace\Modules\Shortcodes\ClientsBoxesItem\ClientsBoxesItem;
use BluElatedNamespace\Modules\Shortcodes\ClientsCarousel\ClientsCarousel;
use BluElatedNamespace\Modules\Shortcodes\ClientsCarouselItem\ClientsCarouselItem;
use BluElatedNamespace\Modules\Shortcodes\Countdown\Countdown;
use BluElatedNamespace\Modules\Shortcodes\Counter\Counter;
use BluElatedNamespace\Modules\Shortcodes\Dropcaps\Dropcaps;
use BluElatedNamespace\Modules\Shortcodes\ElementsHolder\ElementsHolder;
use BluElatedNamespace\Modules\Shortcodes\ElementsHolderItem\ElementsHolderItem;
use BluElatedNamespace\Modules\Shortcodes\FrameSlider\FrameSlider;
use BluElatedNamespace\Modules\Shortcodes\GalleryBlocks\GalleryBlocks;
use BluElatedNamespace\Modules\Shortcodes\GoogleMap\GoogleMap;
use BluElatedNamespace\Modules\Shortcodes\Highlight\Highlight;
use BluElatedNamespace\Modules\Shortcodes\Icon\Icon;
use BluElatedNamespace\Modules\Shortcodes\IconListItem\IconListItem;
use BluElatedNamespace\Modules\Shortcodes\IconWithText\IconWithText;
use BluElatedNamespace\Modules\Shortcodes\ImageGallery\ImageGallery;
use BluElatedNamespace\Modules\Shortcodes\ImageWithText\ImageWithText;
use BluElatedNamespace\Modules\Shortcodes\ItemShowcase\ItemShowcase;
use BluElatedNamespace\Modules\Shortcodes\ItemShowcaseItem\ItemShowcaseItem;
use BluElatedNamespace\Modules\Shortcodes\MessageBox\MessageBox;
use BluElatedNamespace\Modules\Shortcodes\PieChart\PieChart;
use BluElatedNamespace\Modules\Shortcodes\PricingTables\PricingTables;
use BluElatedNamespace\Modules\Shortcodes\PricingTable\PricingTable;
use BluElatedNamespace\Modules\Shortcodes\ProgressBar\ProgressBar;
use BluElatedNamespace\Modules\Shortcodes\ProductInfo\ProductInfo;
use BluElatedNamespace\Modules\Shortcodes\ProductList\ProductList;
use BluElatedNamespace\Modules\Shortcodes\ProductListCarousel\ProductListCarousel;
use BluElatedNamespace\Modules\Shortcodes\ProductListSimple\ProductListSimple;
use BluElatedNamespace\Modules\Shortcodes\SectionTitle\SectionTitle;
use BluElatedNamespace\Modules\Shortcodes\Separator\Separator;
use BluElatedNamespace\Modules\Shortcodes\SocialShare\SocialShare;
use BluElatedNamespace\Modules\Shortcodes\Tabs\Tabs;
use BluElatedNamespace\Modules\Shortcodes\Tab\Tab;
use BluElatedNamespace\Modules\Shortcodes\Team\Team;
use BluElatedNamespace\Modules\Shortcodes\VerticalSplitSlider\VerticalSplitSlider;
use BluElatedNamespace\Modules\Shortcodes\VerticalSplitSliderLeftPanel\VerticalSplitSliderLeftPanel;
use BluElatedNamespace\Modules\Shortcodes\VerticalSplitSliderRightPanel\VerticalSplitSliderRightPanel;
use BluElatedNamespace\Modules\Shortcodes\VerticalSplitSliderContentItem\VerticalSplitSliderContentItem;

/**
 * Class ShortcodeLoader
 */
class ShortcodeLoader {
	/**
	 * @var private instance of current class
	 */
	private static $instance;
	/**
	 * @var array
	 */
	private $loadedShortcodes = array();
	
	/**
	 * Private constuct because of Singletone
	 */
	private function __construct() {}
	
	/**
	 * Private sleep because of Singletone
	 */
	private function __wakeup() {}
	
	/**
	 * Private clone because of Singletone
	 */
	private function __clone() {}
	
	/**
	 * Returns current instance of class
	 * @return ShortcodeLoader
	 */
	public static function getInstance() {
		if(self::$instance == null) {
			return new self;
		}
		
		return self::$instance;
	}
	
	/**
	 * Adds new shortcode. Object that it takes must implement ShortcodeInterface
	 * @param ShortcodeInterface $shortcode
	 */
	private function addShortcode(ShortcodeInterface $shortcode) {
		if(!array_key_exists($shortcode->getBase(), $this->loadedShortcodes)) {
			$this->loadedShortcodes[$shortcode->getBase()] = $shortcode;
		}
	}
	
	/**
	 * Adds all shortcodes.
	 *
	 * @see ShortcodeLoader::addShortcode()
	 */
	private function addShortcodes() {
		$this->addShortcode(new Accordion());
		$this->addShortcode(new AccordionTab());
		$this->addShortcode(new AnimationHolder());
		$this->addShortcode(new Banner());
		$this->addShortcode(new BlogList());
		$this->addShortcode(new Button());
		$this->addShortcode(new CallToAction());
		$this->addShortcode(new ClientsBoxes());
		$this->addShortcode(new ClientsBoxesItem());
		$this->addShortcode(new ClientsCarousel());
		$this->addShortcode(new ClientsCarouselItem());
		$this->addShortcode(new Countdown());
		$this->addShortcode(new Counter());
		$this->addShortcode(new Dropcaps());
		$this->addShortcode(new ElementsHolder());
		$this->addShortcode(new ElementsHolderItem());
		$this->addShortcode(new FrameSlider());
		$this->addShortcode(new GalleryBlocks());
		$this->addShortcode(new GoogleMap());
		$this->addShortcode(new Highlight());
		$this->addShortcode(new Icon());
		$this->addShortcode(new IconListItem());
		$this->addShortcode(new IconWithText());
		$this->addShortcode(new ImageGallery());
		$this->addShortcode(new ImageWithText());
		$this->addShortcode(new ItemShowcase());
		$this->addShortcode(new ItemShowcaseItem());
		$this->addShortcode(new MessageBox());
		$this->addShortcode(new PieChart());
		$this->addShortcode(new PricingTables());
		$this->addShortcode(new PricingTable());
		$this->addShortcode(new ProgressBar());
		if(blu_elated_is_woocommerce_installed()){
			$this->addShortcode(new ProductInfo());
			$this->addShortcode(new ProductList());
			$this->addShortcode(new ProductListCarousel());
			$this->addShortcode(new ProductListSimple());
		}
		$this->addShortcode(new SectionTitle());
		$this->addShortcode(new Separator());
		$this->addShortcode(new SocialShare());
		$this->addShortcode(new Tabs());
		$this->addShortcode(new Tab());
		$this->addShortcode(new Team());
		$this->addShortcode(new VerticalSplitSlider());
		$this->addShortcode(new VerticalSplitSliderLeftPanel());
		$this->addShortcode(new VerticalSplitSliderRightPanel());
		$this->addShortcode(new VerticalSplitSliderContentItem());
	}
	
	/**
	 * Calls ShortcodeLoader::addShortcodes and than loops through added shortcodes and calls render method
	 * of each shortcode object
	 */
	public function load() {
		$this->addShortcodes();
		
		foreach ($this->loadedShortcodes as $shortcode) {
			add_shortcode($shortcode->getBase(), array($shortcode, 'render'));
		}
	}
}

$shortcodeLoader = ShortcodeLoader::getInstance();
$shortcodeLoader->load();